This is GStreamer Good Plug-ins 0.10.31, "Faster"

Changes since 0.10.30:

      * audioparsers: propagate downstream caps constraints upstream 
      * ac3parse: add support for IEC 61937 alignment and conversion/switching between alignments
      * ac3parse: let bsid 9 and 10 through
      * auparse: implement seeking
      * avidemux: fix wrong stride when inverting uncompressed video
      * cairotextoverlay: add a "silent" property to skip rendering; forward new segment events
      * deinterlace: add support for deinterlacing using buffer caps/flags (as set by e.g. fieldanalysis)
      * deinterlace: new fieldanalysis-related properties: "locking" and "ignore-obscure"
      * directsoundsink: fix negotiation/device setup: 16-bit audio is signed, 8-bit is unsigned
      * effecttv: fix reverse negotiation; repair color modes in radioactv by taking rgb,bgr into account
      * equalizer: also sync the parameters for the filter bands 
      * flacdec: better timestamp/offset handling; try upstream first for duration queries
      * flacdec: send EOS when seeking after the end of file instead of failing
      * flacenc: do not drop the first data buffer on the floor
      * flacparse: detect when a file lies about fixed block size; ignore invalid minimum_blocksize
      * flacparse: more accurate/better duration/timestamp handling
      * flvdemux: better timestamp handling (negative cts, detect large pts gaps; fix discontinuity threshold check when timestamps go backwards)
      * flvmux: properly determine final duration; metadata/header writing fixes
      * gdkpixbufsink: fix inverted pixel-aspect-ratio info on pixbufs
      * jack: add "client-name" property to jackaudiosink and jackaudiosrc
      * jpegdec: add sof-marker to template caps, so we don't get plugged for lossless jpeg
      * jpegdec: Implement upstream negotiation
      * matroskademux: seeking fixes; better handling of non-finalized files
      * matroskademux: better timestamp/duration handling, fix some stuttering A/V
      * matroskademux: add "max-gap-time" property to make gap handling configurable
      * matroskademux: UTF-8 subtitles may have markup
      * matroskamux: do not use unoffical V_MJPEG codec id
      * matroskamux: fix segment handling, so we actually use running time
      * matroskamux: for streaming files, push tags first
      * matroskamux: handle GstForceKeyUnit event
      * multifile: new splitfilesrc element to read multiple files as if they were one single file
      * multifilesrc: add "loop" property
      * multifilesink: handle buffer lists, useful to keep groups of buffers (GOPs) in the same file
      * multifilesink: add flag to cut after a force key unit event
      * multifilesink: add "max-files" property
      * multifilesink: add new 'max-size' mode and "max-file-size" property for switching to the next file based on size
      * multifilesink: write stream-headers when switching to the next file in max-size mode
      * multipartdemux: Add property to assume a single stream and emit no-more-pads
      * multipartmux: Add \r\n to tail of pushed buffers
      * navseek: toggle pause/play on space bar
      * osxvideo: Fix leak of NSOpenGLPixelFormat object
      * pcmadepay,pcmudepay: allow variable sample rate
      * pngenc: increase arbitrary resolution limits
      * pulse: Drop support for PA versions before 0.9.16 (1.x is recommended)
      * pulse: new pulseaudiosink element to handle format changes (not autoplugged yet)
      * pulsesink: add support for compressed audio format passthrough (S/PDIF, mp3-over-bluetooth)
      * pulsesink: Allow writes in bigger chunks
      * pulsesink: Use the extended stream API if available
      * pulsesrc: add a "source-output-index" property; implement GstStreamVolume interface
      * qtdemux: better fragmented support (avoid adjustment for keyframe seek; mark all audio track samples as keyframe)
      * qtdemux: parse embedded ID32 tags; improve bitrate guessing/extraction
      * qtdemux: push mode fixes, fix buffered streaming
      * qtmux: add direct dirac mapping
      * qtmux: calculate average bitrate for streams
      * qtmux: fix ctts generation for streams that don't start at 0 timestamps
      * qtmux: use GST_TAG_IMAGE for coverart too
      * ismlmux: Use iso-fragmented as variant type (useful in connection with encodebin)
      * rtph263ppay: implement getcaps following RFC 4629, picks the right annexes
      * rtph263ppay: set H263-2000 if thats what the other side wants
      * rtph264depay: complete merged AU on marker bit (thus reducing latency)
      * rtph264depay: cope with FU-A E bit not being set (caused by buggy payloaders)
      * rtph264depay: exclude NALu size from payload length on truncated packets
      * rtph264pay: proxy downstream caps restrictions (converting profile-level-id from RTP caps into video/x-h264 style caps)
      * rtph264pay: only set the marker bit on the last NALU of a multi-NALU access unit
      * rtpjpegpay: add support for H.264 payload in MJPEG container
      * rtpjpegpay: fix for "odd" resolutions not a multiple of DCTSIZE
      * rtpmp4adepay: fix output buffer timestamps in case of multiple frames
      * rtpmp4gdepay: improve bogus interleaved index compensating
      * rtpmp4vpay: deprecated send-config property and replace by config-interval
      * rtppcmapay/depay: static clock rates on static payloads, dynamic on dynamic
      * rtpvrawpay,-depay: RGB video payloading/depayloading fixes
      * rtpg722pay: Compensate for clockrate vs. samplerate difference
      * rtpbin: allow configurable rtcp stream syncing interval
      * rtpbin: new "rtcp-sync" property, alternative inter-stream syncing methods
      * rtpjitterbuffer/rtpbin: relax dropping rtcp packets; misc other fixes
      * rtpmanager: don't reveal the user's username, hostname or real name by default
      * rtpsession: process received Full Intra Requests (FIR)
      * rtpsession: add special mode to use FIR as repair as Google does
      * rtpsession: send FIR requests in response to key unit requests with all-headers=TRUE
      * rtpsession: always send application requested feedback in immediate mode
      * rtpsession: put the PLI requests in each RTPSource
      * rtpsession: wait longer to timeout SSRC collision
      * rtspsrc: implement async network I/O
      * rtspsrc: allow sending short RTSP requests to a server
      * rtspsrc: configure rtcp interval if provided
      * rtspsrc: open on play and pause when not done yet
      * shout2send: send video/webm through libshout
      * soup: new souphttpclientsink element 
      * udpsrc: drop dataless UDP packets
      * v4l2: take care not to change the current format where appropriate
      * v4l2src, v4l2sink: add "norm" property; default to a pixel-aspect-ratio of 1/1
      * v4l2src: do not ignore the highest frame interval or the largest resolution
      * v4l2src: handle some feature query failures more gracefully
      * videobox: avoid wrapping opaque to transparent 
      * wavenc: Allow setcaps to be called after a format was negotiated if it's compatible
      * ximagesrc: add "xid" and "xname" properties to allow capturing a particular window
      * ximagesrc: fallback to non-XShm mode if allocating the XShm image failed
      * ximagesrc: clear flags on buffer reuse, so that flags like DISCONT aren't set accidentally

Bugs fixed since 0.10.30:

      * 668320 : rtpmanager: RTCP receiver reports reveal full user name
      * 652727 : multifilesrc: add ability to loop
      * 657422 : [souphttpsrc] The souphttpsrc plugin doesn't work behind a proxy that requires authentication
      * 432612 : [matroskamux] doesn't handle segments correctly
      * 541215 : [avimux] Dirac muxing is broken and results in A/V sync issues
      * 546932 : [ximagesrc] allow recording of specific window only
      * 571400 : RTSP blocks in gst_element_set_state( GST_STATE_PAUSED ) and incorrect url
      * 576524 : rtpbin, jitterbuffer: add mode to support for recording RTP streams
      * 586450 : [cairotextoverlay] Forward upstream events to both sinkpads
      * 595055 : [pulsesrc] Should implement GstStreamVolume interface
      * 605834 : directsoundsink: 16-bit audio is always signed while 8-bit is always unsigned
      * 610916 : rtspsrc dosen't work under windows
      * 614803 : v4l2:  add tv-norm property
      * 616686 : multipartdemux: add " single-stream " property to emit no-more-pads earlier
      * 616936 : [matroskademux] Incorrect display of subtitles with markup
      * 619548 : qtdemux: Guess bitrate if only one stream's bitrate is unknown
      * 619590 : [matroskademux] Doesn't protect segment and other fields from concurrent changes from different threads
      * 620186 : qtdemux: Export max bitrate for AMR-NB/-WB streams
      * 622412 : [rtpmp4vpay] remove send-config parameter; obsoleted by config-interval
      * 624887 : pitivi playback hangs / errors while playing mov clips on clip change
      * 630456 : [ximagesrc] Fallback to non-XShm mode if image allocation fails
      * 631430 : [flvdemux] Cannot play .flv to the end
      * 632504 : [rtspsrc] reduce or avoid (network) hang during shutdown
      * 634093 : RTSP client asks for unicast from multicast only server
      * 638300 : v4l2src: make this work more than once in a row
      * 639217 : udpsrc: allow skip-first-bytes of full buffer size
      * 640323 : [cairotextoverlay] forward new segment events from the sink to the source
      * 643847 : deinterlace: Add support for deinterlacing using buffer caps/flags
      * 644151 : [multifilesink] Add option to create a new file after each GstForceKeyUnit event
      * 644154 : [matroskamux] Force a new cluster after each GstForceKeyUnit event
      * 644512 : [auparse] Add seeking
      * 647540 : autoaudiosink picks element to use by rank, but pulsesink/alsasink/jackaudiosink are all PRIMARY
      * 648312 : [v4l2sink] Unconditionally accepts video/mpegts
      * 648642 : rtpsession: Ensure ssrc collisions aren't timed out immediately
      * 648937 : matroskademux: avoid building index when streamable
      * 649067 : v4l2src: got unexpected frame size of 262254 instead of 614400
      * 649617 : [rtp] Deadlock and other fixes for rtpssrcdemux
      * 649780 : flac: seek beyond end fails instead of EOSing immediately
      * 649955 : flvmux: add support for mpegversion 2, which is also AAC
      * 650258 : matroskademux/matroskaparse: gst_element_query_duration returns wrong value for Matroska files
      * 650313 : ac3parse: Add support for iec61937 alignment
      * 650503 : [dvdemux] Broken DURATION query handling
      * 650555 : [aacparse] AAC profiles needed in caps
      * 650691 : [flacparse] regression playing some flac files
      * 650714 : [amrparse] skips first few frames (problem in checking sync)
      * 650785 : [flacparse] duration query in DEFAULT format failing with flacparse in pipeline (regression)
      * 650877 : matroska: refactor code common to matroskademux and matroskaparse
      * 650912 : Rare leak in qtdemux
      * 650916 : REGRESSION: ssrcdemux causing FLOW_NOT_LINKED
      * 650937 : deinterlace: fix parameter type in trace
      * 651059 : rtspsrc: uniform unknown message handling
      * 651443 : multifilesink: add next-file=max-size mode and max-file-size property
      * 652195 : matroskademux: seeking in non-finalized matroska files does not work correctly
      * 652286 : matroskaparse: Gstreamer-CRITICAL when changing state from PAUSED to READY
      * 652467 : matroska: missing < stdio.h > include for sscanf
      * 653080 : matroskamux: make check for block_duration less sensitive
      * 653091 : [dv1394src] Make the internal clock thread-safe
      * 653327 : configure script for gst-plugins-good selects shout2 when it's not present
      * 653559 : aacparse: too greedy minimum frame size
      * 653709 : [ximagesrc] sets DISCONT on half the buffers
      * 654175 : matroskademux: handle blocks with duration=0
      * 654379 : matroskamux: make default framerate optional per stream
      * 654583 : Immediate RTCP in rtpsession
      * 654585 : rtpmp4gdepay choppy sound
      * 654744 : matroskademux: fix aspect ratio if header has only onle display variable set
      * 654749 : goom: unbreak build on PPC on openbsd
      * 654816 : [rtspsrc] rtspsrc doesn't get eos if it's wrapped into a bin
      * 655530 : Logitech B990 HD Webcam yields poor video in MJPEG mode.
      * 655570 : qtdemux: assertion error when playing Apple Trailers
      * 655805 : Make the extended RTSP headers optional
      * 655866 : jackaudiosink: Don't call g_alloca in jack_process_cb
      * 655918 : qtdemux : qtdemux_add_fragmented_samples return error.
      * 656104 : v4l2src fails to correctly configure the framerate
      * 656606 : crash in gst_spectrum_reset_message_data()
      * 656649 : flacparse: fix off by one in frame size check
      * 656734 : [aacparse] Assumes 1024 samples per frame
      * 657080 : aacparse: failing test due to two buffers being dropped for one sync loss
      * 657179 : pulse: New pulseaudiosink element to handle format changes
      * 657376 : rtspsrc regression
      * 657830 : multiudpsink: make add/remove/clear/get-stats action signals
      * 658178 : udpsrc: rough error reporting when using an invalid URI
      * 658305 : [souphttpsrc] can’t seek during double speed playback
      * 658419 : Add FIR support to rtpsession
      * 658543 : [v4l2src] Use GST_RESOURCE_ERROR_BUSY if webcam is already used
      * 658546 : ac3parse: RealAudio file with AC-3 audio no longer plays
      * 659009 : [matroskademux] property for configuring gap handling
      * 659065 : navseek: toggle pause/play on space bar
      * 659153 : matroskademux: fix stuttering A/V
      * 659237 : [gstrtpbin] clock is not unreffed after finish using it
      * 659242 : [matroskademux] Unexpected EOS when seeking on paused matroska file
      * 659798 : Segfault when you convert with audioconvert from audio file mkv to audio file avi
      * 659808 : matroskademux: misc fixes
      * 659837 : matroskamux: unable to mux audio/x-raw-int,rate=8000,channels=1,endianness=1234,width=16,depth=16,signed=true
      * 659943 : [ac3parse] it does not correcly check for ac3/e-ac3 switch
      * 660249 : won't play wav file: invalid WAV header (no fmt at start): ID32
      * 660275 : jpegdec doesn't implement upstream negotiation
      * 660294 : goom2k1: Fix mingw compiler warnings
      * 660448 : videomixer2: memory leak
      * 660468 : speexenc: fix calculation of filler data size
      * 660481 : v4l, ximagesrc: printf format warnings
      * 660969 : qtmux memleak
      * 661049 : matroskademux: support seek with start_type NONE
      * 661215 : flacparse: fix last frame timestamp in fixed block size mode
      * 661400 : rtpg722pay: G722 rtptime too fast
      * 661477 : flvdemux: negative cts causes uint overflow, resulting in sinks waiting forever
      * 661841 : [edgetv] video artifacts if videorate placed after edgetv
      * 661874 : aacparse fails to forward caps to encoder
      * 662856 : cairotextoverlay: add a 'silent' property to skip rendering
      * 663186 : taginject is not gap aware
      * 663334 : gst/flv/: add amfdefs.h to noinst_HEADERS
      * 663580 : v4l2src negotiation failure with weird pixel-aspect-ratios
      * 664548 : matroskaparse: memleak
      * 664792 : Staircase effect in M-JPEG over RTP with unaligned image dimensions..
      * 664892 : [matroskademux] Doesn't set caps properly
      * 665387 : v4l2src: fix stepwise enumeration ignoring the highest values
      * 665412 : matroskamux: jpeg muxing regression 
      * 665502 : [flvdemux] broken a/v sync for some files
      * 665666 : multifilesink: GstMultiFileSinkNext not documented
      * 665872 : jackaudiosink, jackaudiosrc: add " client-name " property
      * 665882 : gdkpixbufsink: " pixel-aspect-ratio " is the inverse of what it should be
      * 665911 : Ability to specify ignore-length in wavparse
      * 666361 : playbin2: regression: visualisations don't work with pulseaudiosink
      * 666583 : matroskademux: too many bus messages in streamable mode
      * 666602 : ac3parse: no valid frames found before end of stream (unexpected bsid=10)
      * 666644 : udpsrc: infinite loop on dataless UDP packets
      * 666688 : jpedec: peer_caps leak
      * 666711 : rtspsrc: hostname lookup is not thread safe
      * 667419 : matroskamux memleaks
      * 667818 : osxvideo: Fix leak of NSOpenGLPixelFormat object
      * 667820 : rtpptdemux: Plug potential pad leak.
      * 667846 : rtph264depay: Exclude NALu size from payload length on truncated packets.
      * 668648 : gst-plugins-good does not compile: cairo cannot find libgstvideo-0.10
      * 669455 : V4l2src can't open webcamstudio new vloopback
      * 669590 : [shout2send] support webm streaming
      * 670197 : v4l2src: webcam doesn't work due to fatal error when querying color balance attributes
      * 650960 : flacparse makes decoded flac files start at sample offset 9215 
      * 659947 : souphttpsink: rename to souphttpclientsink?
      * 658659 : qtmux: Fix ctts entries for streams that don't start with timestamps from 0

Changes since 0.10.29:

      * work around GLib atomic ops API change
      * better handling of malformed buffers in RTP depayloders
      * some minor compilation fixes

Bugs fixed since 0.10.29:


      * 650470 : rtp: some depayloaders break with malformed rtp packets
      * 652144 : udp: fix compiler warning on mingw-w64

Changes since 0.10.28:

      * audioparser: new amrparse, aacparse, ac3parse, flacparse, mpegaudioparse, dcaparse elements
      * audiowsincband: Add new windowing functions: gaussian, cos and hann
      * audiowsincband: Fix range of kernel elements (lim -> lim-1)
      * audiowsinclimimt: Add new windows to high/low-pass filters: gaussian, cosine, hann
      * audiowsinclimit: Fix range of kernel elements (lim -> lim-1) in high/low-pass filters
      * avidemux: also add the frame-type for the stream index.
      * avidemux, flvdemux: mark delta-units in the index
      * avidemux: stream->current_total is accumulated byte size and not time
      * avimux: add stream-format field to h264 pad template caps
      * avimux: rework _request_new_pad to handle explict req-pad-names
      * avimux: use running time for synchronization
      * cairooverlay: Add generic Cairo overlay video element.
      * debugutils: remove bitrotten negotiation element
      * deinterlace: add support for NV12 and NV21 formats; fix greedyl method
      * dvdemux: first try if upstream handles TIME seeks before handling them here and other event handling fixes
      * flacdec: fix issues with large metadata blocks when streaming unframed flac
      * flacenc: Add support for writing METADATA_BLOCK_PICTURE blocks for GST_TAG_IMAGE and GST_TAG_PREVIEW_IMAGE
      * flacenc: Don't store image tags inside the vorbiscomments and the flac metadata
      * flvdemux: add width, height and framerate to caps when present on onMetaData
      * flvdemux: Do not build an index if upstream is not seekable
      * flvdemux: fix deadlock on setting index on flvdemux
      * flvmux: don't overwrite metadata tag with duration in streaming mode
      * flvmux: don't set duration for live stream
      * flvmux: use running time for synchronization
      * flv: specify stream-format for h264 in the pad template caps
      * icydemux: fix tag list handling issues that might have caused crashes
      * j2kpay: skip EPH packets
      * jitterbuffer: also estimate eos if very near eos
      * jitterbuffer: avoid trying to buffer more than is available
      * jitterbuffer: handle position query
      * matroskademux: better calculation of output framerate
      * matroskademux: properly resume cluster scanning
      * matroskademux: pull mode should always report seekable
      * matroskademux: set stream-format=byte-stream on h264 caps if there's no codec data
      * matroskademux: store cluster positions provided by SeekHead
      * matroskamux: add support for A-Law and µ-Law
      * matroskamux: avoid building index when streamable
      * matroskamux: use running time for stream synchronization
      * matroskamux: add stream-format field to h264 pad template caps
      * matroska: Use ARTIST Matroska tag instead of AUTHOR for GST_TAG_ARTIST
      * matroskaparse: new element
      * monoscope: stability (off-by-one) and memory leak fixes
      * pngdec: handle 16-bit-per-channel images
      * pulsesink: also uncork during EOS waiting (and after EOS is rendered)
      * pulsesink: fix deadlock if connecting to PA fails
      * pulsesink: release pa_shared_resource_mutex before pa_threaded_mainloop_wait
      * qtdemux: Adds more h264 fields to its caps
      * qtdemux: Add support for 2Vuy and r210
      * qtdemux: don't error out when there's a problem parsing non-vital headers
      * qtdemux: avoid skipping exposing a stream following a removed stream
      * qtdemux: Check for invalid (empty) classification info entity strings
      * qtdemux: extract MusicBrainz tags
      * qtdemux: mind rounding issues when converting from global time to mov time
      * qtdemux: propagate error during expose_streams
      * qtdemux: support some more mpeg-4 fourcc variants
      * qtdemux: take configured start time into account
      * isomp4: move mp4mux/3gppmux/qtmux from -bad to -good, rename qtdemux plugin to isomp4
      * rtpbin: Don't try to request the same request pad twice
      * rtpbin: fix setting the SDES property
      * rtpbin: Get and use the NTP time when receiving RTCP
      * rtpmanager: ignore a BYE if it is sent with our internal SSRC
      * rtpptdemux: Tag upstream custom events with payload type
      * rtpsession: add action signal to request early RTCP
      * rtpsession: add "rtcp-min-interval" property for minimum interval between Regular RTCP messages
      * rtpsession: Don't relay more than one PLI request per RTT
      * rtpsession: Emit "on-ssrc-validated" when validating by RTCP
      * rtpsession: Emit signal on incoming RTCP feedback packet
      * rtpsession: Emit signal when sending a compound RTCP packet
      * rtpsession: Implement sending PLI packets in response to GstForceKeyUnit
      * rtpsession: Number of active sources should be updated whenever the status of the source changes to active
      * rtpsession: Send GstForceKeyUnit event in response to received RTCP PLI
      * rtpsource: Retain RTCP Feedback packets for a specified amount of time
      * rtpssrcdemux: Tag upstream custom events with SSRC
      * rtpssrcdemux: Unknown SSRC is not fatal
      * rtpspeexpay: Do not transmit samples with GAP flag
      * rtptheoradepay: Request new keyframe on lost packets
      * rtpvrawpay: add support for interlaced video
      * rtspsrc: distribute new base_time to manager children following flush seek
      * rtspsrc: handle * control correctly
      * rtspsrc: improve recovery from failed seek
      * spectrum: miscellaneous optimisations, add multi-channel support
      * speexdec: Always process the number of frames per packet as specified in the header
      * speexdec: get and use streamheader from the caps if possible
      * speexenc: Use speex intern silence detection
      * theorapay: handle 0-sized packets (which are repeat frames)
      * udpsink: warn when packet is too large
      * v4l2: Add PJPG mapping
      * v4l2: fix interlaced set_format configuration
      * v4l2: new v4l2radio element to control analog radio devices
      * videobalance: fix handling of YUV images with 'odd' widths
      * videoflip: add support for YUY2, UVYV and YVYU
      * videoflip: fix invalid memory access for odd resolutions and Y422
      * videomixer2: Add transparent background option for alpha channel formats
      * videomixer: Add transparent background option for alpha channel formats
      * videomixer: Fix argb/rgba overlay orc code
      * wavparse: tune output max buffer size to material

Bugs fixed since 0.10.28:

      * 564122 : Crash in monoscope_update
      * 432612 : [matroskamux] doesn't handle segments correctly
      * 593482 : Spectrum: Multi-Channel support and Stereo to Mono compat report(cross-correlation)
      * 595520 : Implement a generic cairo overlay
      * 622553 : rtpmanager: Implement RFC 4585 (AVPF / early feedback)
      * 636699 : [PLUGIN-MOVE] qtmux: move to -good
      * 639994 : videomixer2: added 'transparent' background option
      * 640118 : v4l2: add element to control radio devices
      * 640163 : rtspsrc: minor leak
      * 640249 : [taginject] Taginject does not allow to change tags after init
      * 640483 : flvdemux: Video's width, height and/or framerate src caps added when present on onMetaData
      * 640542 : matroskamux leaks memory after reset
      * 641330 : icydemux: crash while playing MP3 stream in amarok
      * 641332 : can't connect vorbisenc ! queue ! matroskamux
      * 641400 : [deinterlace] Handle image caps without asserting
      * 641827 : rtptheorapay: doesn't handle 0-size packets
      * 642205 : qtdemux: extract MusicBrainz tags
      * 642337 : [souphttpsrc] Add support for URI queries
      * 642412 : gstrtpbin with ignore-pt tries to use NULL stream- > demux during uninitialization
      * 642691 : deinterlace: Miscellaneous cleanup
      * 642879 : qtmux: add a 'variant' with the bare video/quicktime media type
      * 642961 : NV12 colorspace support for deinterlace plugin
      * 642963 : [dvdemux] time based upstream seek
      * 643087 : pulsesink: deadlock in gst_pulseringbuffer_open_device
      * 643981 : [cairooverlay] example uses gtk/gtk-x11 unnecessarily
      * 644288 : generic/states check fails
      * 644477 : [jack] doesn't build with jack > = 0.120.2
      * 644510 : pulsesink: deadlock when create/connect fails
      * 644669 : gstspeexdec causes 'Conditional jump depends on uninitialised value'
      * 644773 : Add support for Y422 colorspaces in videoflip element
      * 644849 : [speexdec] Remove warning message when it is inappropriate
      * 644875 : [matroskademux] can't read the ARTIST tag in a Matroska file
      * 645858 : [flvdemux] memory leak when demuxing infinite FLV files
      * 645961 : [pulsesink] hangs when going from paused to playing near EOS
      * 646397 : rtpjitterbuffer base_time broken by commit f84b8a69
      * 646474 : rtpspeexpay should drop empty samples
      * 646567 : [matroska] Add alaw/mulaw audio support
      * 646800 : rtspsrc: control attribute on the session and not on the media
      * 646954 : rtpgstpay: declare frag_offset to hold 32 bits
      * 646964 : rtpmanager: ignore a BYE if it is sent with our internal SSRC
      * 646965 : rtpmanager: Number of active sources should be updated whenever the status of the source changes to active
      * 646966 : rtpssrcdemux: Unknown SSRC is not fatal
      * 646967 : rtpsession: make iterate_internal_links MT-safe
      * 646999 : [regression] pulsesink: underruns while playing WMA
      * 647263 : REGRESSION: rtpsession: fix wrongly applied patch
      * 647510 : audiowsinclimit uses the wrong limits for the range of the kernel elements
      * 647511 : add other common windows to low/high-pass filters in audiowsinclimit.c
      * 647659 : mp3parse / mpegaudioparse fails to detect VBRI header in mpeg1 mono and mpeg2 files
      * 647833 : matroskademux: bad at guessing the framerate
      * 647848 : Failure to compile with GCC 4.6.x due to variable unused but set warnings being treated as errors
      * 647919 : qtmux: silently corrupts h264 streams with legacy caps
      * 648004 : [quicktime] Rename plugin library to quicktime too
      * 648160 : Remove half-complete bits of RTCP FIR support
      * 648589 : jpegdec: documentation typo " jpegddec "
      * 649060 : flvmux: overwrites metadata tags with duration in streamable=false mode
      * 649449 : [gppmux] Failure to write location
      * 566769 : [flacdec] crash in push mode with large header packet (image)
      * 644730 : [matroskamux] Should return TRUE in the event function when the event is handled

Changes since 0.10.27:

      * Fix build issue with new kernels (with the old video4linux1 interface header removed)

Bugs fixed since 0.10.27:

      * 643716 : v4l2src: fails to build with newer kernels: ./v4l2_calls.h:33: fatal error: linux/videodev.h: No such file or directory

Changes since 0.10.26:

      * avidemux: add workaround for buggy list size; extract datetime tags
      * cacasink: fix masks and strides
      * deinterlace: change the default to linear
      * deinterlace: avoid infinite loop draining
      * deinterlace: rewrite/fix how neighboring scan lines are calculated
      * flvdemux: use aac codec-data to adjust samplerate if needed
      * flvmux: Fix for nellymoser codecid setting
      * icydemux: Add 'StreamUrl' metadata as GST_TAG_HOMEPAGE tag
      * id3demux: fix parsing of ID3v2.4 genre frames with multiple genres
      * imagefreeze: pass along eos if received before buffer arrives
      * jpegdec: add "max-errors" property to ignore decoding errors
      * jpegdec: avoid infinite loop when resyncing; discard incomplete image
      * matroskademux: add stream-format and alignment properties for h264
      * matroskademux: assume matroska if no doctype is specified
      * matroskademux: increase allowed max. block size for push mode from 10M to 15M
      * matroskademux: normalize empty Cues to no Cues
      * matroskamux: add support for DTS and E-AC3 audio
      * matroskamux: try to write timestamps in all the outgoing buffers
      * multifilesink: send stream headers in key-frame mode
      * multiudpsink: add buffer-size property
      * navseek: add basic support to change playback rate
      * pulsemixer: Implement MIXER_FLAG_AUTO_NOTIFICATIONS
      * pulsesink: flush remaining buffered samples on EOS
      * pulsesink: make corking during pause synchronous; don't uncork in _start
      * pulsesink: Uncork stream while flushing the ringbuffer
      * pulsesrc: add "client" property
      * qtdemux: add support for fragmented mp4
      * qtdemux: add support for (E)AC-3, WMA and VC-1 audio
      * qtdemux: allow pulling atoms with unknown size
      * qtdemux: fix flow return aggregation and handling of near end-of-file corner cases
      * qtdemux: parse and use creation time tag from mvhd
      * rtpbin: copy buffering stats
      * rtpbin: correctly calculate RTCP packet size
      * rtp: fix rank of payloaders and depayloaders
      * rtp: flush state on flush-stop for seek handling for many (de)payloaders
      * rtp ac3pay: add AC3 payloader
      * rtp h264depay: determine output h264 layout using caps negotiation
      * rtp h264pay: implement full bytestream scan mode
      * rtp j2kdepay: add support for buffer lists; make depayloader more resilient
      * rtp j2kpay: use buffer lists for better performance
      * rtp j2kpay: handle EOC correctly; stop scanning when we reached the end
      * rtp j2kpay: use SOP markers to split bitstream
      * rtp jitterbuffer: provide a clock; get better buffering level
      * rtp jpegdepay: fix framerate parsing for locales that use a comma as floating point
      * rtp mp4adepay: improve timestamps on outgoing packets
      * rtpsession: also emit RTCP activity on SR
      * rtpsession: remember last sent RB values
      * rtspsrc: add and use auto buffering mode
      * rtspsrc: degrade gracefully upon failing seek and tweak QUERY_SEEKING response
      * rtspsrc: include range request for all streams with non-aggregate control
      * rtspsrc: increase udp buffer size
      * rtspsrc: reset session manager base time when flushing
      * rtspsrc: select multicast transports in a smarter way
      * souphttpsrc: don't send seeks behind the end of file to the server
      * v4l2sink: add navigation support; properties to control crop
      * vrawdepay: fix length check
      * wavparse: detect DTS advertised as PCM correctly in some more cases
      * ximagesrc: change from XGetImage to XGetSubImage dependant on a property

Bugs fixed since 0.10.26:

      * 596321 : qtdemux: add support for fragmented MP4 and " mfra " boxes
      * 618389 : [pulsemixer] Should implement MIXER_FLAG_AUTO_NOTIFICATIONS interface
      * 618652 : [effectv] Use of uninitialised value in unit test
      * 620283 : Support for Adobe's F4F missing
      * 621929 : [PLUGIN-MOVE] move jack plugin from -bad to -good
      * 623178 : [matroskademux] error message for unrecognised FOURCC codes should be improved
      * 625825 : cannot link rtpmp4adepay ! aacparse
      * 629418 : progressreport: add support for determining stream position from buffer timestamps instead of using queries
      * 631516 : [navseek] Add support to change playback rate
      * 632654 : [matroskamux] try to write timestamps in most of the outgoing buffers
      * 632897 : flvmux does not set the correct nellymoser codec id
      * 633280 : [icydemux][PATCH] icydemux: Send 'StreamUrl' metadata as GST_TAG_HOMEPAGE tag
      * 634314 : pngdec hangs on faulty pngs
      * 634391 : [v4l2src] add interlaced field to caps
      * 634393 : v4l2src: Set top field first for interlaced captures
      * 634910 : [rtph264pay] Implement bytestream scan mode
      * 634928 : [qtdemux] report creation/modification time via metadata tag
      * 635734 : jpegdec: infinite loop when playing back motion jpeg stream
      * 636049 : ximagesrc: fix remote X and off by ones
      * 636172 : imagefreeze: eos is not passed before a buffer arrives
      * 636234 : [wavparse] dts 6ch played as stereo 16 bit pcm if DTS frame starts at non-zero offset
      * 636621 : flvdemux: doesn't set the right sample rate for aac audio
      * 636784 : [qtdemux] GST_QUERY_CONVERT implementation for qtdemux
      * 637060 : matroskademux: errors out on 13MB blocks when streaming
      * 637686 : [jpegenc] Improve sinkpad getcaps results
      * 638019 : [matroskademux] some matroska files are not specifying DocType
      * 638072 : build failure: rtpsource.c: error: 'have_rb' may be used uninitialized in this function
      * 638535 : id3demux: multiple genres as per ID3v2.4 not supported correctly
      * 638569 : cacasink crashes when given 15-bit video.
      * 639240 : pulsesink: PLAYING- > PAUSED- > PLAYING transition causes dropout
      * 639321 : deinterlace: field{1,3} scanline pointers seem to be off by one field line
      * 639339 : v4l2: fails to build with older kernels due to missing V4L_FIELD_INTERLACED_{TB,BT}
      * 639516 : muxers: fix setting src pad caps
      * 639740 : [pulsesink] doesn't uncork in some cases during reverse playback
      * 640028 : [qtdemux] crash on malformed mov stream
      * 640063 : rtph264depay: leaks codec data buffer in byte-stream=false mode
      * 640064 : rtspsrc memory leak
      * 640080 : rtspsrc: fails to error out properly on network failure
      * 623063 : [jpegdec] add " max-errors " property

Changes since 0.10.25:

      * alphacolor: make passthrough work
      * avidemux: reverse playback fixes; prevent overlap of subsequent fragments
      * deinterlace: remove assembly code in favor of orc
      * dvdemux: parse SMPTE time codes
      * flvdemux: parse and use cts (fixes jittery H.264 playback in some cases)
      * flvmux: resend onMetada tag when tags changes in streamable mode
      * g729pay: extend from right parent
      * gconf: Don't install schemas when GConf is disabled
      * goom, goom2k1: add latency compensation code, report latency correctly
      * gstrtpjpegpay: Added Define Restart Interval (DRI) Marker
      * h264depay: always mark the codec_data as keyframe
      * icydemux: forward tag events
      * id3v2mux: Add mapping for album artist
      * imagefreeze: generate a perfectly timestamped stream
      * level: avoid division by zero on silence
      * matroskademux: more robustness for parse errors and corner-cases
      * matroskademux: extract H.264 profile and level and set on caps
      * matroskamux: reduce newsegment event spam and set discont flag where needed
      * pulse: allow setting of pulse stream properties
      * pulse: fix device_description in READY
      * pulsesink: Add "client" property to set the PA client name
      * pulsesink: share the PA context between all clients with the same name
      * qtdemux: export AAC/MPEG-4/H.264 profile and level in caps
      * rtp: add G722 payloader and depayloader elements
      * rtpamr(de)pay: support AMR-WB SID frame
      * rtpamrpay: proper duration for multiple frame payload; properly support perfect-rtptime
      * rtpbin: add "ntp-sync" property and "use-pipeline-clock" properties
      * rtpg729pay: properly support perfect-rtptime
      * rtph264depay: only set delta unit on all-non-key units
      * rtpmanager: provide additional statistics
      * rtpmp4adepay: grab the sampling rate and put into caps
      * rtpmparobustdepay: properly insert dummy buffers; use valid bitrate for dummy frame
      * rtpmpvpay: fix timestamping of rtp buffers
      * rtpsession: Add the option to auto-discover the RTP bandwidth
      * rtpsession: Calculate RTCP bandwidth as a fraction of the RTP bandwidth
      * rtpsession: Count sent RTCP packets after they have been finished
      * rtpsession: relax third-party collision detection
      * rtpstats: Rectify description of current_time in RTPArrivalStats
      * rtspext: stop configuration on first failure
      * rtspsrc: Add property to configure udpsrc buffer size
      * rtspsrc: add rtsp-sdp protocol support
      * rtspsrc: don't add /UDP in the transport, it's the default
      * rtspsrc: fix duration reporting
      * rtspsrc: handle stale digest authentication session data
      * rtspsrc: use sdp uri parse method
      * shapewipe: add optional border parameter and slowdown animation
      * shapewipe: Force format to AYUV in the example pipeline for the same reason
      * shapewipe: Force the input to AYUV to prevent negotiation failures in videomixer
      * spectrum: only aggregate magnitude/phase if user asks for it, performance fixes
      * v4l2src: add controllable colorbalance parameters, add decimate property
      * v4l2src: fix using mpegts via the mmap interface; use GstBaseSrc::block-size as fallback size
      * videomixer2: new videomixer2 element that behaves better than videomixer
      * vrawdepay: handle invalid payload better

Bugs fixed since 0.10.25:

      * 625825 : cannot link rtpmp4adepay ! aacparse
      * 629047 : segfault in seek matroskademux
      * 537544 : [pulse] allow setting pa context properties
      * 628996 : pulsesink broken after shared context patch (bug #624338)
      * 529672 : Big latency and bad framerate while mixing multiple live streams
      * 581294 : rtspext: extensions configure_stream methods conflict
      * 598915 : qtdemux: propagate jpeg2000 header data in image/x-j2c
      * 612313 : qtdemux: Post AAC profile/level in caps
      * 616521 : qtdemux: Export MPEG-4 video profile and level in stream caps
      * 617318 : matroskademux, qtdemux: Use pbutils for H.264 profile/level extraction
      * 620790 : [matroskademux] general stream error when trying to play certain .mkv file
      * 622390 : [v4l2] add controllable color balance properties / programmable camera
      * 624338 : [pulsesink] Handle pulse context separate from the ringbuffers and share them
      * 625547 : imagefreeze unit test fails occasionally
      * 626048 : [videomixer] needs mode that syncs streams based on timestamps
      * 626518 : [imagefreeze] better caps negotiation
      * 627162 : [pulse] better fallback return value for gst_pulse_client_name()
      * 627174 : [pulsesink] new property to tune the PA client name
      * 627289 : souphttpsrc: tweak error messages
      * 627341 : wavparse: strange handling of files less than 12 bytes
      * 627796 : rtpbin: add ntp clock sync
      * 628020 : [pulsesink] assertion failure in change_state NULL- > READY
      * 628058 : Need a way to set the SO_RCVBUF property on rtsp-based sockets.
      * 628127 : jpeg rtp payloader crashes when there is corruption in the jpeg byte stream.
      * 628214 : Add support to RTSP initiation through SDP files
      * 628349 : [v4l2src] Doesn't support capturing mpegts using mmap
      * 628454 : Matroska demuxer doesn't handle DATE tag if it contains only a year number
      * 628608 : [alphacolor] element classification is wrong
      * 629018 : rtpjpegpay: unable to build because of uninitialized variable warning
      * 629522 : [rtpjpegpay] add support for Define Restart Interval (DRI)
      * 629839 : [qtdemux] Update xmp tags parsing
      * 629896 : Error compiling raw1394 (without iec61883)
      * 630088 : [flvdemux] jerky h.264 video playback
      * 630205 : [icydemux] Forward tag events downstrem
      * 630256 : rtph264-pay/depay: doesn't respect timestamps from incomming buffers
      * 630317 : Getting pulsesink device names doesn't work like for alsasink
      * 630378 : speexenc/speexdec crash with MSVC
      * 630446 : rtpmanager: provide additional statistics
      * 630447 : rtpsession: relax third-party collision detection
      * 630449 : rtpbin: Unlock before adding pad in new_payload_found
      * 630451 : rtpbin: Handle rysnc of iterator when looking for free pad name
      * 630452 : rtpbin: Make cleaning up sources in rtp_session_on_timeout MT safe
      * 630457 : rtpmanager: packet lost should not be a warning.
      * 630458 : level: avoid division by zero on silence
      * 630500 : [rtspsrc] does rtsp setup message always need " /UDP " string?
      * 630888 : v4l2sink does not cope with v4l2loopback kernel module
      * 631082 : rtpjitterbuffer: improve document reference
      * 631303 : [goom] qos warnings if source is GstAudioSrc
      * 631330 : [flvmux][PATCH] Resend updated onMetada tag when tags changes in streamable mode
      * 631996 : [h264depay] regression: rtsp://stream.zoovision.com/KibaEp1n900.3gp
      * 632548 : [rtspsrc] regression; fails to report duration
      * 632553 : --disable-gconf still tries to install schemas
      * 632682 : [matroskademux] Handle missing CodecPrivate for Vorbis/Theora
      * 632945 : rtph264depay in access-unit=true mode does not aggregate the delta unit flag correctly
      * 633205 : Fix for navigation events in videoflip
      * 633212 : [goom] Return not-negotiated when bps is unknown
      * 633970 : [icydemux] broken taglist handling
      * 635532 : rtspsrc: unexpected eos when using authentication (regression)
      * 635843 : [rtph264depay] segfault on empty payload
      * 636179 : [deinterlace] Fields in wrong order
      * 626463 : [matroskademux] " reading large block of size 14688496 not supported "
      * 628894 : [matroskademux] sloppy reverse playback
      * 633294 : deinterlace breaks some DVD menu scenarios

Changes since 0.10.24:

      * v4l2src: massive performance improvement in many cases
      * streaming mode fixes for avi and matroska/webm
      * seeking in matroska and webm files that don't have an index
      * new cpureport element for debugging
      * avidemux: improve VBR audio stream handling
      * avidemux: streaming mode fixes: use proper offset for movi-based index, handle 0-size data chunks
      * debugutils: new element cpureport, posts "cpu-report" element messages on bus
      * flacdec, rtspsrc, rtph264pay, rtpmp4vdepay: memory leak fixes
      * gconfvideosrc: use correct GConf key (ie. not the audiosrc key)
      * gdkpixbuf: remove gdkpixbuf3 plugin again, gdk-pixbuf was split out of gtk+ and will stay at 2.x
      * id3v2mux: write beats-per-minute tag using TBPM frame
      * jpegdec: fix markers parsing regression
      * matroskademux: do not error out on a block with unknown tracknumber
      * matroskademux: fix streaming in case where the size in bytes is unknown
      * matroskademux: handle bogus files storing ADTS AAC data
      * matroskademux: support seeking in local files even if they don't have an index
      * matroskamux: don't try to seek back and fix up headers if streamable=TRUE
      * pulsesink: fix race when creating multiple pulsesinks at the same time
      * qtdemux: also calculate PAR using track width and height for QT files
      * qtdemux: fix the max/avg in btrt atom reading
      * qtdemux: improve reverse playback
      * qtdemux: parse 64-bit version of mvhd atom as well instead of erroring out
      * qtdemux: prevent reading past avc1 atom when parsing
      * rtpg729pay: avoid basertppayload perfect-rtptime mode
      * rtph263pdepay: allow more clock-rates as input
      * rtpL16depay: also parse encoding-params for the number of channels
      * rtpL16depay: default to 1 channel if number of channels not specified
      * rtpmp4gpay: implement perfect timestamps
      * rtspsrc: add "port-range" property, useful for setups with firewall/ipsec
      * rtspsrc: don't reuse udp sockets (avoids odd errors when data from previous streams is received)
      * udpsrc: add "reuse" property to enable or disable port reuse (enabled by default, but disabled in rtspsrc)
      * v4l2: sort formats in the right order so that non-emulated formats are prefered
      * videobalance: fix wrong locking order that could lead to a deadlock
      * videomixer: only reset QoS information and send a NEWSEGMENT event downstream for NEWSEGMENT events on the master pad

Bugs fixed since 0.10.24:

      * 626463 : [matroskademux] " reading large block of size 14688496 not supported "
      * 593117 : [avidemux] Support AVF files
      * 618535 : [avidemux] fails to stream eva_2010_2.22_promo1.avi
      * 621520 : [id3v2mux] write beats-per-minute tag
      * 622017 : [GstRtpMP4GDepay] Packet payload was too short.
      * 622577 : rtspsrc has confusing error messages
      * 623209 : bug in rtpL16depay
      * 623357 : avidemux: push mode doesn't work for some http streaming avi files
      * 623629 : Reverse Playback Issue in QtDemux
      * 624173 : [qtdemux] qt file with dimension data in tkhd does not get pixel-aspect-ratio in caps
      * 624331 : videobalance: deadlocks/freezes when changing " brightness " property
      * 624455 : The matroska muxer seeks even when used with streamable=TRUE
      * 624770 : rtspsrc: memory leak in gst_rtspsrc_handle_request
      * 625002 : [examples] Don't use GdkDraw
      * 625153 : rtspsrc: add property to set client port range
      * 625302 : [qtdemux] Set the pixel-aspect-ratio field also for par=1/1
      * 625371 : [matroskademux] critical warnings when playing live webm with progressive download enabled
      * 625442 : pulsesink: crash -  pa_threaded_mainloop_stop is called from the pa thread
      * 625452 : [videomixer] Pipeline from the docs doesn't work anymore
      * 626467 : matroskademux: CRITICAL **: file matroska-demux.c: line 578 (gst_matroska_demux_get_length): should not be reached
      * 626609 : [qtdemux] segfault when parsing avc1 atom
      * 626619 : [imagefreeze] Incorrect seek behaviour
      * 627689 : [deinterlace] Broken timestamps
      * 617368 : [matroska] Implement push-mode seeking and non-cue seeking

Changes since 0.10.23:

      * Use Orc (Optimized Inner Loops Runtime Compiler) for SIMD and
        other optimisations, and remove liboil dependency. The main goal
        for this release was to make the transition from liboil to liborc.
        Performance improvements should not be expected and will be the
        focus of future versions. liborc is an optional dependency for
        the time being, to make it possible to test and develop the very
        latest GStreamer versions on systems that don't have orc yet.
        However, without orc slow unoptimised backup code will be used
        for many performance critical code paths. Distributors are urged
        to package and ship the latest version of liborc and compile
        GStreamer modules with --enable-orc. Please do not distribute
        GStreamer packages that are not orc enabled. More information on
        the orc integration can be found in the docs/design/ directory.
      * alpha: add "prefer-passthrough" property to allow passthrough mode
      * avidemux: improve audio vbr detection
      * cmmlenc: Remove hack to let oggmux start a new page for every CMML buffer
      * deinterlace: add mmx implementations of greedyh for UYVY; orcify some deinterlacing methods
      * dv1394: fix the internal clock even more
      * flvmux: add "streamable" property
      * flvmux: write duration at the correct position
      * gdkpixbuf: Add a gdkpixbuf3 plugin that uses gdkpixbuf3
      * jpegdec: improved parsing, and better buffer handling that minimises memcpys
      * jpegdec, jpegenc: add grayscale support
      * matroskademux: QoS fixes and improvements; reverse playback improvements
      * matroskademux: handle zero-sized numbers correctly
      * matroskamux: add "streamable" property; set streamheaders on output caps
      * matroskamux: try harder to make sure clusters start with a key frame
      * matroskamux: mark output buffers properly as keyframe or delta unit
      * matroskamux: do some write caching to avoid newsegment events before each output buffer
      * matroskamux: fix some timestamp drift caused by rounding errors
      * pngenc: Support 8 bit grayscale
      * pulsesink: optimize communication with PulseAudio using pa_stream_begin_write
      * pulsesink: Post provide-clock message on the bus if the clock appears/disappears
      * rtph264depay: consider SPS, PPS and IDR as keyframe, all others as DELTA_UNIT
      * rtph264pay: handle short startcodes in the h264 bytestream
      * rtpjitterbuffer: stop buffering and emit EOS at the end of a stream
      * rtpmparobustdepay: add mpa-robust depayloader
      * rtpmp4gdepay: calculate the frame duration correctly
      * rtptheorapay: keep announcing the delivery-method in the capabilities, restores
        compatibility with older farsight versions again
      * rtspsrc: respect aggregate control attributes; try all ranges from the sdp
      * spectrum: support 24-bit width and arbitrary bit depth
      * udp: make url parsing compatible with VLC syntax
      * udpsrc: fix multicast support on windows
      * v4l2sink: destroy buffer pool when changing state to NULL
      * videobox: fix negotiation for I420/YV12
      * videomixer: don't mix input with different pixel aspect ratios; negotiation fixes
      * wavparse: proper closing segment construction when doing non-flushing seeks
      * wavparse: use typefind functions to check if PCM data contains dts stream

Bugs fixed since 0.10.23:

      * 619045 : [spectrum] Add support for 24-bit width and all depth combinations
      * 555967 : [oss4] clarify some translation strings
      * 570761 : [goom] crash in plugin_info_init allocating 260kB struct on stack
      * 583047 : [jpegdec] optimise buffer handling when parsing frames
      * 589997 : [rtp] need mpa-robust depayloader for helix-style MP3-DRAFT-00
      * 595978 : [udpsrc] failed to play a multicast stream
      * 597695 : [udpsrc] support VLC-style udp://239.255.11.11:1234 uri with bind address
      * 611117 : [matroskademux] can't handle unknown cluster sizes
      * 613066 : [flvmux] re-enable renamed/fixed is-live property
      * 615461 : dv1394src clock continues to be broken
      * 617339 : pulsesink doesn't make use of pa_stream_begin_write
      * 618530 : [videomixer] Doesn't handle pixel-aspect-ratio correctly
      * 618871 : 1394: remove useless last_time
      * 618982 : [wavparse] wrong closing segment when doing non-flushing seek
      * 619198 : [matroskademux] GstEbmlRead cleanup
      * 619273 : [matroskamux] reduce downstream spam
      * 619293 : [avimux] clean up avi header creation code
      * 619531 : [rtspsrc] embedded asx streams' rtsp server doesn't like gstreamer request
      * 619717 : unit tests fail if older -good plugins are present in system plugin directory
      * 619824 : Use glib for checksumming
      * 619848 : [deinterlace] can't switch properties on running pipeline
      * 620148 : [videomixer] Doesn't negotiate format with downstream
      * 620154 : [rtph264depay] Seeking with RTP payloaders corrupts images sometimes
      * 620162 : [gdkpixbufdec] Bump rank to SECONDARY
      * 620277 : [pulsesink] custom clock is still used after NULL state change
      * 620358 : [matroskademux] Sorenson Squish WebM output seeking issues
      * 620390 : rtph264pay doesn't understand short startcodes
      * 620494 : [rtsp] stuttery audio with some h264/aac streams
      * 620540 : [pulsesink] pa_stream_write() failed: Invalid argument
      * 620591 : rtpceltpay doesn't handle stereo celt audio
      * 620743 : matroskademux: refactor delta unit handling
      * 620929 : Required libraw1394 version is not high enough
      * 621510 : GNOME Goal: Remove deprecated glib symbols
      * 621566 : [pulsesink] since upgrading plugins sound is garbled via Amarok
      * 621723 : v4l2src crashes on PLAYING- > READY- > PLAYING
      * 622498 : [avidemux] Doesn't reset all state when going back to READY
      * 622500 : [v4l2sink] destroy open buffers when changing to NULL
      * 622501 : [videobox] may negotiate input/output format combinations it can't actually handle
      * 622816 : Make demos -DSEAL safe
      * 623103 : matroskamux dispose error
      * 623172 : [jpegdec] leak in unit test
      * 623196 : rtpptdemux: don't send custom downstream event twice
      * 623366 : [qtdemux] strip out bogus tags from XMP
      * 623379 : [flvmux] Writing duration outside the allocated memory area in streaming mode
      * 623585 : jpegdec: fails to skip extra 0xff markers at start
      * 623654 : qtdemux: Fix order of bitrates in 'btrt' atom
      * 619817 : [matroskademux] Reverse playback doesn't work
      * 617512 : [alpha] should work in passthrough in all formats if alpha == 1.0
      * 619485 : matroskademux: skip buffers before a late keyframe (QoS)
      * 413942 : [wavparse] undetected dts-in-wav

Changes since 0.10.22:

      * alpha: add support for YUY2, YVYU, UYVY and YV12; YUV->RGB conversion fixes
      * avimux, flvmux, matroskamux: don't crash if tags arrive on multiple input pads at the same time
      * avimux, matroskamux: add support for On2 VP8
      * capssetter: element moved from gst-plugins-bad
      * deinterlace: add support for most YUV and RGB formats for some methods
      * deinterlace: make automatic detection of interlacing the default
      * gamma: add support for more YUV/RGB formats, make gamma property controllable
      * jpegdec, jpegenc: support more colour spaces and pixel formats
      * matroskademux: implement push mode seeking
      * matroskademux: add support for WebM
      * imagefreeze: plugin moved from gst-plugins-bad
      * oss4: plugin moved from gst-plugins-bad
      * osxvideosink: implement the xoverlay interface, allow switching views at runtime
      * qcelpdepay: add a QCELP depayloader
      * qtdemux: add support for VP8; push-mode seeking and ctts table parsing fixes
      * rtph263depay: use Picture Start Code to detect packet loss and frame start
      * rtph263pay: use found GOBs to apply Mode A payloading
      * rtph264depay: DELTA_UNIT marking of output buffers
      * rtph264pay: extract SPS and PPS from property provided parameter set
      * rtph264pay: add config-interval property to re-send SPS/PPS in stream
      * rtpmp4vpay: add config-interval property to re-insert config in stream
      * rtptheoradepay: fix in-band configuration parsing
      * rtptheorapay: add config-interval parameter to re-insert config in stream
      * rtpvorbisdepay, rtptheoradepay: also accept in-line configuration
      * rtsp: configure bandwidth properties in the session
      * rtspsrc: fall back to SDP ports instead of server_port
      * rtspsrc: use the SDP connection info in multicast
      * rtspsrc: handle SEEKING queries
      * smptealpha: add support for all 4 ARGB formats and YV12 (converted to AYUV)
      * videobalance: add support for all RGB formats, Y41B, Y42B and Y444, YUY2, UYVY, AYUV and YVYU
      * videobox: add support for Y444, Y42B, Y41B, YUY2, UYUV, and YVYU
      * videobox: fix floating point to integer conversion for the alpha values
      * videobox: handle ranges/lists of width or height when transforming caps
      * videobox: translate navigation events to make sense again upstream
      * videofilter: merge gamma, videobalance, and videoflip plugin into single plu
      * videoflip: add support for all RGB formats and AYUV, Y41B, Y42B and Y444
      * videoflip: also flip the pixel-aspect-ratio if width/height are exchanged
      * videomixer: add support for Y444, Y42B, Y41B, YV12, YUY2, YVYU, UYVY
      * webmmux: Add new webmmux element that only supports muxing of WebM
      * y4menc: add 4:2:2, 4:1:1, and 4:4:4 output support

Bugs fixed since 0.10.22:

      * 619485 : matroskademux: skip buffers before a late keyframe (QoS)
      * 576286 : [videomixer] Should accept/output non-alpha streams
      * 618349 : osxvideosink: implement the XOverlay interface
      * 574416 : rtp{theora,vorbis}depay should accept in-line configuration (too)
      * 590662 : [pulse] Allocates and starts pulse main loops in instance_init
      * 592270 : Cannot catch 'have-ns-view' on pipeline for playbin and playbin2
      * 599585 : gstrtph263pay does not fragment frame with limited GOBs
      * 600553 : [jpegdec] crashes on a fuzzed jpeg
      * 606689 : Re-send codec data on GstForceKeyUnit
      * 607452 : Failure to sync on rtpmp4vpay stream; sender;receiver mismatch
      * 609405 : [qtdemux] Issues when seeking with file with lots of tracks and edit lists
      * 609658 : [rtph264depay] doesn't mark output frames as keyframes correctly
      * 610172 : inconsistent h263pay/h263depay behaviour
      * 610902 : y4menc only supports 4:2:0
      * 613786 : [PLUGIN-MOVE] Move imagefreeze to gst-plugins-good
      * 614305 : [PLUGIN-MOVE] oss4 should be moved to good
      * 614765 : racy stream status leave implementation
      * 615798 : [smptealpha] Need ability to reverse transition direction
      * 616516 : [qtdemux] h264 playback gets skippy after a seek
      * 616700 : [rtspsrc] gst_query_new_seeking() fails on rtspsrc
      * 617164 : [rtph264pay] SPS/PPS in provided sprop-parameter-sets never sent on timeout
      * 617537 : rtspsrc always falls back to unicast instead of using the announced multicast
      * 617733 : [wavparse] handle gst_pad_pull_range() returning less data than requested
      * 617739 : [PLUGIN-MOVE] Move capssetter to gst-plugins-good
      * 618305 : [flvmux] last timestamp is stored even if it's invalid
      * 618351 : avimux crashes when fed from filesrc
      * 618386 : rtptheoradepay: make delivery-method parameter optional
      * 618419 : gstrtpbin-Description maybe exist error
      * 618733 : [efence] Configure check is broken
      * 618874 : [pulse] regression: broken mainloop locking
      * 618940 : rtptheorapay/depay wrongly claims to do delivery-method=inline
      * 619018 : Speex encoder latency should depend on rate
      * 619103 : WebM demuxer
      * 619105 : [qtdemux] misalignment between index and sample while looking for frame
      * 619219 : [matroska] Move webm muxer into a separate element with restrictions
      * 619835 : [videobox] Either makes video completely opaque or completely transparent
      * 619943 : [jpegenc] Crash if playing - > setcaps - > ready - > setcaps
      * 620002 : [flvdemux] Typo in position query handling makes all position queries fail
      * 605231 : [deinterlace] Support AYUV, RGB colorspaces
      * 619533 : [avimux, matroskamux, flvmux] crash when receiving tags on multiple pads at the same time

Changes since 0.10.21:

      * alpha: add support for different color matrixes
      * alpha: add support for generating ARGB output
      * alpha: add support for ARGB, RGB and xRGB input
      * alphacolor: support inplace and on-the-fly conversions from AYUV to ARGB
      * alphacolor: Implement color-matrix support and use integer arithmetic only
      * videobox: add support for most common RGB(A), (A)YUV, and grayscale formats
      * videobox: add support for on-the-fly conversions for some formats
      * videobox: add support for filling the background with red, yellow and white
      * videobox: add support for YV12, including conversion support for I420/AYUV
      * videomixer: add support for ABGR and RGBA
      * shapewipe: add support for the remaining ARGB formats
      * qtdemux, matroska: export h.264 profile and level in caps
      * multifilesink: Add key-frame option to next-file
      * directsoundsink: Implement SPDIF support for AC3
      * h264depay: handle STAPs properly
      * speexdec: adapt to new oggdemux
      * flvdemux: mark delta frames properly
      * flvdemux: improve index building and scaning in pull mode
      * flvdemux: add support for backwards playback (when operating in pull mode)
      * avidemux: fix offset handling in push mode seeking
      * matroskademux: prefer index of video track to perform seeking
      * matroskademux: add support for backwards playback (when operating in pull mode)
      * matroskademux: push correctly sized flac header buffers
      * matroskademux: restrict resyncing to subtitle tracks
      * rtpsession: Make it possible to favor new sources in case of SSRC conflict
      * rtspsrc: send keep alive when paused
      * rtspsrc: handle ipv6 listening ports when needed
      * rtspsrc: require a destination for multicast
      * rtspsrc: parse connection information
      * qtdemux: Set stream-format=raw on AAC caps
      * qtdemux: add XMP parsing support
      * qtdemux: Read replaygain peak/gain tags
      * qtdemux: extract stream language in more cases
      * id3demux: fix parsing of unsynced frames with data length indicator
      * jpegdec: don't crash if jpeg image contains more than three components
      * ximagesrc: send new segment event in TIME format
      * mp4gdepay: improve constantDuration guessing
      * h264pay: fix config-interval property
      * rtspsrc: add property to control the buffering method
      * png: make work with libpng 1.4

Bugs fixed since 0.10.21:

      * 517588 : [avidemux] Allow seeking in push mode
      * 593910 : [dv1394src] live streaming / clock issues
      * 597739 : Test suite not slow-machine-safe(?)
      * 601236 : [flvmux] script tag with index gets written at end of file, contains all tags
      * 601617 : matroska-demuxer triggers an assert in gststructure.c
      * 604870 : [udpsink] Can't set TTL socket option
      * 607615 : Make it possible to favor new sources in case of SSRC conflict
      * 610447 : [flvdemux] Be more flexible in script tag (metadata) parsing
      * 611659 : [ximagesrc] should send new_segment with GST_FORMAT_TIME format
      * 612397 : [multiudpsink] [PATCH] Fix print of socket's error code on Windows
      * 612411 : [rtspsrc] lock/performance problem
      * 612553 : Segfault in rtspsrc (tcp interleaved and local gst-rtsp-server)
      * 612657 : [rtph264depay] refuse caps without profile-level-id when byte-stream is unset
      * 612696 : rtspsrc with tcp timeouts after recent commit
      * 612700 : pngenc can't be built against libpng 1.4.x anymore
      * 612751 : [udpsink] regression when external sockfd is used
      * 612777 : Deprecated macro in gstspeexdec.c causes compile error in MSVC
      * 613002 : [flvmux] always put duration in metadata tag
      * 613003 : [flvmux] EOS after supposedly reaching FLV timestamp limit, but real limit is lower
      * 613013 : rtph264pay does not insert config parameters anymore in the stream
      * 613094 : [flvmux] put more info (like width and height) in the metadata
      * 613206 : [rtph264depay] wrong timestamp for gst_base_rtp_depayload_push_ts?
      * 613663 : New warnings in osx plugins
      * 613789 : [jpegenc] Updating caps is not supported
      * 614158 : [id3demux] doesn't read tags from file correctly (tag with unsynced frames, data length indicator)
      * 614353 : matroskademux: can't correctly demux flac-in-MKV
      * 614354 : fix small compile break if $(top_srcdir) != $(top_builddir)
      * 614460 : matroskademux: wrong H.264 demux in some file
      * 614466 : videomixer makes some formats grayscale
      * 614471 : [qtdemux] Gstreamer not reading replaygain tags from m4a files
      * 614651 : Export h.264 profile and level in caps
      * 614765 : racy stream status leave implementation
      * 614842 : [jpegenc] sink pad returns ANY (not subset of its template) when connected to a filesink
      * 614843 : [alphacolor] unneeded variable
      * 614927 : qtdemux: Post avg/max bitrate tags for H.264
      * 615051 : h264depay: STAP are handled the wrong way
      * 615143 : [videobox] I420- > AYUV conversion broken
      * 615161 : Remove -Wundef from CFLAGS
      * 615460 : [deinterlace] broken ...
      * 615996 : doesn't detect HAVE_CPU_I386 or HAVE_CPU_X86_64 properly on Solaris
      * 615998 : GOOM plugin crashes on Solaris when built with MMX code enabled
      * 616166 : [videobox] Use correct order for RGB filling
      * 616409 : [videomixer] AYUV blending broken
      * 611986 : [cairotextoverlay] Out-of-range deltas give SIGSEGV or other funkyness
      * 604106 : [jpegdec] Crash in jpeg_idct_ifast if more than 3 components
      * 614001 : [qtdemux] parse Macintosh language codes
      * 615793 : [flactag] when used after flacenc: gst_adapter_take_buffer: assertion `nbytes > 0'

Changes since 0.10.20:

     * y4menc commit reverted, since it broke make check (new release since this was
       only discovered after the 0.10.20 tarball had already been uploaded).

Changes since 0.10.19:

      * Fixes for RTP h263 depayloader timestamping regressions that broke video calls
      * Fixes for FLAC decoder when FLAC is embedded in a container such as Ogg or Matroska
      * y4menc now supports more YUV pixel layouts
      * rtpsource: bitrate estimation improvements
      * rtspsrc, udp: multicast fixes

Bugs fixed since 0.10.19:

      * 532117 : [matroskamux] Doesn't update the track duration
      * 610959 : [flacdec] certain flac-in-ogg file only plays after long delay
      * 611213 : [rtpsource] estimate bitrate on receiver side
      * 612154 : rtph263depay removes all timestamps from outgoing buffers

Changes since 0.10.18:

      * shapewipe: moved from -bad to -good
      * avidemux: push mode seeking support
      * avidemux: drop video frames up to the desired keyframe after a seek
      * configure: cross-compilation fixes (use $PKG_CONFIG instead of pkg-config)
      * dvdepay: don't output frames until we have a header, fixes crash
      * flacdec: fix tag extraction in push mode
      * flvdemux: obtain the index from the end of an flv file in push mode
      * flvdemux: audio tags without any content are valid; indexing improvements
      * jpegdec: fix invalid memory access in parser
      * jitterbuffer: new buffering modes: low/high watermark buffering, rtp timestamps
      * matroskademux: seeking/segment fixes (esp. regression with gnonlin)
      * matroskademux: subtitle stream improvements (advance sparse streams in smaller steps)
      * multipartdemux: improve header mime-type parsing
      * qtdemux: fix ALAC codec-data handling; handle signed values in 3GPP location tag
      * qtdemux: fix frame rate cap regression; fix sample durations corner-case
      * qtdemux: Use the correct duration when comparing segments
      * pulsesink: avoid segfault when shutting down
      * pulsesink: return previous mute state if sink is not active at the moment
      * rtpbin: change how NTP time is calculated in RTCP, generating more accurate NTP timestamps if the system clock is synchronised with NTP or similar
      * rtpmp4gdepay: avoid division by 0 in corner case
      * v4l2sink: change rank to NONE so we don't try to autoplug it
      * videomixer: fix timestamping problems for input streams with different lengths
      * videomixer: fix problem when used with gnonlin (always send FLUSH_STOP)

Bugs fixed since 0.10.18:

      * 584536 : [PLUGIN-MOVE] Move shapewipe to -good
      * 587304 : [jitterbuffer] don't handle correctly data burst from udpsrc
      * 599292 : Synchronizing two RTP streams from different devices using RTCP is inaccurate.
      * 604711 : Handling of mime type in multipartdemux
      * 608026 : [videomixer] timestamping problems
      * 608843 : [flacdec] Can't read tags in push mode
      * 610004 : GST_CXXFLAGS should contain GST_CFLAGS
      * 610053 : matroska fails to build with Sun Studio
      * 610238 : Avoid an assertion in the rtspsrc element which abort the client application
      * 610265 : gstrtpmp4gdepay issuing a SIGFPE crashing an application
      * 610280 : [qtdemux] issue with corrupted 3gp file
      * 610296 : [qtdemux] Confusion with gst/qt segments
      * 610337 : pulsesink: gst_pulsesink_get_mute: set result earlier.
      * 610483 : [jpegdec] invalid memory access
      * 610556 : Memory violation when starting to decode a running DV PAL RTP stream
      * 610839 : Unable to cross compile gst-plugins-good
      * 610894 : send FLUSH_STOP after FLUSH_START in videomixer
      * 611501 : [regression] matroskademux fails to output anything on some seeks
      * 609724 : Add translator comment for %s in pulsesink

Changes since 0.10.17:

      * v4l2src: implement GstURIHandler interface
      * matroskamux: make index size configurable
      * matroskademux: support push based mode
      * matroskademux: improve stream synchronization
      * flacdec: fix possible hanging in pull mode seeking
      * flacdec: use a single decoder field for both push and pull mode
      * flacenc: optionally add a seek table
      * rtp: add BroadcomVoice payloader and depayloader
      * rtp: add G.723 payloader and depayloader
      * rtph264pay: add option to insert PPS/SPS in streams
      * rtph264depay: optionally merge NALUs into Access Units
      * rtspsrc: add user-id and user-pw properties; fix major memory leak
      * avimux: many fixes, also better compatibility with Windows Media Player
      * avidemux: per-stream index parsing (= much faster startup)
      * qtdemux: progressive download support / seeking in push mode
      * qtdemux: per sample parsing (= much faster start up)
      * wavenc: Post warning if file hasn't been finalised properly
      * videomixer: MMX optimisations and other improvements; implement basic QoS
      * matroska, qtdemux, id3demux: fix language code writing and extraction

Bugs fixed since 0.10.17:

      * 609405 : [qtdemux] Issues when seeking with file with lots of tracks and edit lists
      * 503582 : [avidemux] Extract date tag (contained in the IDIT chunk)
      * 351595 : [flacenc] write seek tables
      * 505823 : [matroskademux] language tags have wrong iso code
      * 515073 : [goom] Update to goom2k4
      * 539858 : not enough NEWSEGMENT events from matroskademux
      * 554839 : [rtpbin] Automaticaly remove pads
      * 582575 : [rtph263depay] dropping only part of key frames on lost fragmets
      * 583367 : gstrtpL16pay ignores max-ptime property
      * 583985 : [matroskamux] make index size configurable
      * 587323 : rtpmp4vpay does not payload mp4v stream depayloaded with rtpmp4vdepay
      * 593354 : rtpjitterbuffer sometimes outputs packets with timestamps in the past
      * 595265 : SDES handling in RTPSource
      * 597497 : can't play a redirecting .mov file via playbin
      * 597823 : Add rtpg723pay plugin
      * 599300 : [qtdemux] Doesn't populate video bitrate field
      * 601143 : v4l2src: add GstURIHandler interface
      * 601242 : [flvmux] ECMA array with file index lacks final 0x09 byte
      * 601728 : [rtspsrc] Add username/password properties
      * 602231 : Deadlock between rtpjitterbuffer and gstrtpbin
      * 602508 : qtdemux: Parse stbl atom per sample instead of all at once
      * 602887 : shout2send element won't change from PLAYING state to NULL
      * 602940 : jitterbuffer is racy determining basetime
      * 603376 : rtpsession : g_type_create_instance performance issue : avoid buffer ref
      * 603471 : [flacdec] not timestamping output buffers
      * 603547 : shout2send plugin sends data too fast
      * 603779 : [ladspa] Remove ladspa plugin code
      * 604352 : [rganalysis] miscomputes timestamps
      * 604611 : [qtdemux] Provides invalid ALAC codec data
      * 604679 : videomixer MMX code doesn't build on fedora12
      * 604814 : videomixer make error
      * 604872 : [udpsink] Add missing 'gssize len' parameter to g_convert()
      * 604913 : rtph264pay/NALU/rtph264depay
      * 605222 : Mobile Youtube RTSP streams time out at EOS
      * 605269 : [shout2][patch] Setting public flag
      * 605447 : Unable to play Real Audio stream for radioBERLIN.
      * 605882 : rtpg723pay is incorrect
      * 606198 : rtph264pay is causing alignment trap on ARM arch
      * 606438 : multiudpsink: warningfixes for windows
      * 606692 : Incorrect Center Frequency For Band3
      * 606807 : audioamplify:  allow negative amplifications
      * 607353 : rtph264pay & base: Don't crash if the other side specifies the profile-level-id
      * 607440 : [wavenc] should post warning if the file isn't finished properly on pipeline shutting down
      * 607718 : [qtdemux] Infinite loop doing negative rate playback for single audio stream
      * 607949 : [avidemux] regression in stop position for mp3 streams
      * 608209 : [videomixer] blend_mmx.h:173: Error: can't encode register '%ah' in an instruction requiring REX prefix
      * 608255 : [speex] speexenc crash and leaks in rtpspeexpay and speexdec
      * 608268 : [flvmux] index timestamps should be in seconds, not milliseconds
      * 608629 : [pngdec] png_set_gray_1_2_4_to_8() removed in libpng > = 1.4.0
      * 608671 : [mkv] issues when seeking
      * 608990 : [qtdemux] Segment start timestamps can be broken
      * 609107 : [qtdemux] Unknown atoms should also be skipped when looking for moov
      * 598610 : [matroskademux] Support push mode operation
      * 594381 : audiofirfilter: Implement FFT convolution

Changes since 0.10.16:
    
      * RTP improvements
      * Support automatic cropping in videobox
      * Add TTL multicast UDP property
      * AVI demux push mode fixes and performance improvements
      * Support large and unusual chunks sizes in wav
      * Quicktime demuxer improvements
      * JPEG decode fixes and speedups
      * Support interlaced Y4M file output
      * DV demuxer improvements
      * Pulseaudio fixes and improvements
      * Support Pulseaudio PLAY/PAUSE requests
      * speexdec improvements
      * FLV demuxer improvements
      * Fix audio noise in the Equalizer plugin, and other improvements
      * Fix compilation on OS/X Snow Leopard
      * AVI muxer fixes
      * Support MPEG V4L2 devices and improve timestamping
      * Better jpeg2k support
      * Many other bug fixes and improvements

Bugs fixed since 0.10.16:
     
      * 597848 : " Media Player Classic " won't play certain files produced by avimux.
      * 588245 : TTL is never applied with udpsink/udpmultisink
      * 368681 : avimux + vbr lame  always out of sync
      * 458629 : [avidemux] high memory usage for many index entries
      * 561825 : Problem with RTCP thread using freed objects
      * 581334 : [qtdemux]  Add support for embedded subtitles
      * 582238 : [videobox] Add support for autocrop to caps
      * 590362 : [v4l2src] x264enc ! qtmux fails because of missing frame duration
      * 591713 : [y4menc] interlaced support
      * 593354 : rtpjitterbuffer sometimes outputs packets with timestamps in the past
      * 593391 : [rtpsession] : rtp_session_on_timeout : Invalid read of size 4
      * 593688 : effectv can no longer be compiled with gcc 3
      * 593757 : [qtdemux] Lack of support for QualComm PureVoice
      * 593764 : [v4l2src] format ordering: put emulated formats behind native formats
      * 593955 : rtpjitterbuffer: clock_rate can change between its check and its use
      * 594039 : missing unref in rtpsource / leak
      * 594133 : [rtspsrc] leaks authentication info
      * 594247 : missing math.h include in rtpjpegdepay
      * 594248 : Use locked-state on internal rtp-bin to avoid shutdown-state-race
      * 594251 : Avoid throwing out reordered packets with the same timestamp
      * 594253 : jitterbuf: Only post a warning of clock-rate changed if it is changed from something initialized
      * 594254 : propagate the pt-type-changed signal
      * 594283 : rtpbin: make free_session() remove dangling stream references
      * 594298 : Check if libsoup has SSL support before running HTTPS test in souphttpsrc testsuite
      * 594490 : gstrtpbin always uses pt to demux
      * 594520 : multipartmux: mark data buffer as delta-unit
      * 594599 : videobox: converts AYUV to I420 incorrectly
      * 594663 : Patch for multifilesink
      * 594691 : rtph263pay: leak
      * 595029 : pulse elements fail to connect to pulse 0.9.9
      * 595220 : gstreamer crashes on pulseaudio latency change
      * 595231 : [pulsesink] Lowers volume after every new track
      * 595888 : qtdemux plugin should not return value from void function
      * 595897 : Problem linking videomixer
      * 595942 : [qtdemux] issue with corrupted 3gp file
      * 596319 : [qtdemux] fails to parse pixel aspect ratio data
      * 597091 : [flvdemux] not outputting no-more-pads causes playbin2 to fail badly on streamed single-stream flv
      * 597214 : [avidemux] Fix printf formats to avoid warnings in avidemux
      * 597348 : [qtdemux] Cast variables passed to printf to avoid warnings about incorrect formats
      * 597351 : [jpegdec] segfaults on a specific picture
      * 597397 : equalizer is non deterministic
      * 597463 : [pulsesrc] has no lower bound for fragment size
      * 597601 : [pulsesink] needs to take control of minreq value
      * 597730 : osssrc rank should be secondary, just like osssink
      * 597847 : Windows Media Player won't play large files produced by avimux
      * 597867 : Plugins good do not build on Ubuntu Hardy (kernel 2.6.24)
      * 598377 : rtpmanager: only forward the lost event to the last seen payloadnumber
      * 598517 : [jpegdec] Regression supporting 4:2:2 jpeg videos
      * 598810 : wavenc: Fix buffer offset by moving length incrementation
      * 598933 : [pulse] Fix the StreamVolume interface not being advertised
      * 601381 : v4l2: Make sure to initialize variables before using them

Changes since 0.10.15:

      * Moved rtpmanager from -bad to -good
      * Implement SEEKING query in more demuxers and decoders (notably mkv, flv, flac)
      * avimux: adds support to WMA/WMV
      * cairo: Add cairo-based PDF/PS/SVG encoder element (cairorender)
      * dv1394src: fix element for live usage
      * effectv: new elements: rippletv, streaktv, radioactv, optv
      * flacdec: fix intermittent FLAC__STREAM_DECODER_ABORTED errors when seeking
      * flacenc: fix issue with broken duration / sample count into flac header in some cases
      * flvmux: lots of fixes and improvements
      * id3demux: fix parsing of unsync'ed ID3 v2.4 tags and frames
      * matroska: add kate subtitle support, add/improve WMA/WMV handling and read bluray PGS subpicture streams
      * multipartdemux: support more mime types, do proper flow aggregation
      * pulsesrc: cleanups, report real latency, set the default slave method to skew
      * qtdemux: support for agsm, misc. tag reading fixes
      * rtp: new QDM2 and CELT depayloaders; fix SVQ3 depayloader and make it autopluggable
      * souphttpsrc: Only assume seekability if the server provides Content-Length
      * v4l2: add v4l2sink element, open device in NULL->READY, optional gudev support
      * v4l2src: fix 'hang' with some cameras caused by bad timestamping if no framerate is available
      * videomixer: add RGB format support; fix I420 blending

Bugs fixed since 0.10.15:

      * 331420 : No PDF/PostScript/SVG encoder in GStreamer yet.
      * 499242 : [patch] workaround the broken tags encoding for mp3 files
      * 521625 : [plugin-move] move rtpmanager from -bad to -good
      * 560033 : [v4l2src] returns caps with a range where max == min
      * 564100 : [avidemux] premature EOS streaming mjpeg file with JUNK tags
      * 564501 : [rtph264pay] bytestream scan mode operation is not reliable
      * 567983 : [avidemux] SAMPLE.AVI fails to play in push mode
      * 577017 : Videomixer blend bgra and ayuv
      * 577318 : rtspsrc appears to be leaking memory
      * 578052 : gstavidemux: support seeking and duration query in default format
      * 578166 : libgstwaveform, gstwaveformsink.c " BYTE " instead of " byte " 
      * 578612 : [flacdec] seek on flac file sometimes triggers flac decoder ABORT
      * 580214 : Equalizer starts distorting the sound after a while.
      * 580732 : AVIMUX needs mappings for Windows Media codecs
      * 582153 : rtpmp4vpay does not payload mp4v stream depayloaded with rtpmp4vdepay
      * 582169 : [multipartdemux] Segmentation fault on empty content
      * 582462 : souphttpsrc should set caps for " audio/L16 " mime_type
      * 583593 : Updates for SunAudio plugin
      * 583640 : [v4lsrc/v4l2src] add support for better device detection with libgudev
      * 584455 : [flacenc] sometimes writes broken flac files
      * 584613 : rtpvrawpay seems to produce fixed-length packets padded with random data
      * 585205 : [rtpmp4gdepay?] Unable to play audio from one specific radio station stream
      * 585361 : [gstwaveformsink.c]  'byte' is not defined in MSVCRT
      * 585559 : buffer-list support for rtph264pay, rtpjpegpay and rtpmp4vpay
      * 585576 : [souphttpsrc] initially reports all servers as seekable
      * 585630 : [PATCH] Don't try to test flacdec if it's not build
      * 585699 : GNOME Goal: Remove deprecated glib symbols
      * 585757 : Remove deprecated GTK+ symbols from unused code
      * 585828 : audioamplify should support more formats
      * 585831 : audioamplify should support no clipping
      * 586397 : gstudpnetutils.h fails to build on FreeBSD
      * 587426 : non fast-start mov files fail to play from http locations
      * 587680 : rtp/ts does not repackage cleanly to rtp; mpegvideoparse/rtpmpvpay: timing issues
      * 587826 : gstavidemux.c: s/GST_DISABLE_DEBUG/GST_DISABLE_GST_DEBUG
      * 587982 : [udp] uninitialized variable in gst_udp_get_addr function
      * 587983 : [avidemux] assert format failed
      * 588148 : [id3demux] APIC tag not found mp3 file
      * 588349 : [effectv] Add new optv effect filter
      * 588359 : [effectv] Add radioactv effect filter
      * 588368 : [effectv] Add streaktv effect filter
      * 588483 : [flacenc] write padding metadata block
      * 588695 : [effectv] Add rippletv effect filter
      * 588777 : [souphttpsrc] don't try to authenticate if no username/password is set
      * 589056 : [qtdemux] no audio in videos from Aiptek camera
      * 589365 : [pulsesink] pa_stream_get_sink_input_info() failed: Invalid argument
      * 589423 : [flacdec] Implement SEEKING query
      * 589424 : [flvdemux] Implement SEEKING query
      * 589459 : [pulsesink] Fix a couple error messages that mentioned incorrect function names.
      * 590038 : pulsesink: pa_timing_info- > configured_sink_usec requires pulse 0.9.11
      * 590280 : [v4l2] add v4l2sink
      * 590401 : GstPulseSrc's pulse probe is not initialized correctly
      * 590447 : [flvmux] crashes when writing index with < = 128 entries
      * 590970 : [souphttpsrc] better fix for compiler warning fix
      * 591451 : [v4l2] causes hanging stream when VIDIOC_G_PARM is not supported
      * 591476 : Possible leak in rtpbin
      * 591712 : [dvdec] sets top field first not bottom field first on pal interlaced content
      * 591747 : [v4l2src] should clear formats list when it closes the device
      * 591951 : pipelines/simple-launch-lines check segfaults with libjpeg 7
      * 592232 : [qtdemux] QT style string tag extraction fails
      * 592530 : Get only glitches and noise trying to play a gsm file
      * 593015 : pa_stream_flush() seems to cause sync issues
      * 585911 : matroskademux seems to leak large amounts of memory when seeking (skipping)
      * 576378 : [matroskamux] add support for WMA2 and WMV2
      * 564437 : rtpjpegdepay was unable to handle frame dimensions greater than 2040
      * 582515 : Quicktime file with PCM audio does not play correctly
      * 583048 : [patch] jpegdec: support for larger pictures
      * 583371 : pulsesink: Print message on underflows
      * 583803 : pngdec: mismatched g_malloc/free
      * 584981 : Gstreamer wavparse Could not demultiplex stream
      * 585056 : regression: no more sound in my H.264+AAC clips
      * 585549 : Add RTP blocksize functionality to rtspsrc element
      * 585842 : Support for GstBufferList in gstmultiudpsink


Changes since 0.10.14:
    
      * Some fixes for seeking in wav and FLAC files
      * Faster seeking in Matroska and AVI files
      * RTSP and RTP improvements
      * directdrawsink moved to Bad
      * y4menc and flvmux/flvdemux moved from Bad
      * deinterlace2 moved from Bad, replacing deinterlace
      * Many bug fixes and improvements
      * Pulseaudio sink completely overhauled

Bugs fixed since 0.10.14:
     
      * 572551 : mpeg4videoparse fails to extract codec_data from this net...
      * 577318 : rtspsrc appears to be leaking memory
      * 576286 : [videomixer] Should accept/output non-alpha streams
      * 581333 : rtspsrc: request_pt_map in gstrtspsrc.c fails to return c...
      * 478092 : gstid3v2mux.cc:deprecated conversion from string constant...
      * 486915 : [videomixer] segmentation fault on gst-inspect
      * 509311 : [rtph263pay] rtph263pay does not follow rfc2190
      * 516031 : flac within ogg container can't be played on Jokosher
      * 537537 : [pulse] Latency issues
      * 537609 : RTSP - rtspsrc module  support for Scale header
      * 552650 : [rtspsrc] (partially) fails SETUP with MS RTSP servers
      * 562168 : Good plugins' configury overloads --disable-debug
      * 563574 : v4l2src should capture in non-blocking mode
      * 567140 : G726 Packetizer issue for 24kbps & 40 kbps datarate
      * 567857 : [udpsrc] loop on gst_poll_wait when POLLERR because of icmp
      * 570781 : [alawdec] spews ERROR debug messages on shutdown/seek/not...
      * 571153 : [pulsemixer] compiler warnings (on ARM)
      * 571321 : gconfvideo{src,sink} don't disconnect gconf notifications
      * 572256 : gst/avi/gstavidemux.c: Alignment trap in gst_avi_demux_pa...
      * 572358 : law encoders _getcaps ignore rate/channel if not both are...
      * 572413 : [jpegenc] crashes if no input format has been set
      * 573173 : Added Quicktime HTTP tunneling to the RTSP src element
      * 573342 : Unconditioned EAFNOSUPPORT in gstudpnetutils.c
      * 573343 : Type mismatches in gstdirectdrawsink.c
      * 573721 : [PLUGIN-MOVE] move directdrawsink back to -bad
      * 573737 : [PLUGIN-MOVE] Move FLV to -good
      * 574270 : [rtspsrc] Range request is wrong (should say: npt=now-)
      * 574275 : flacdec ! appsink with a seek seems to drop the first buffer
      * 577468 : [id3demux] Frames not extracted if tag is unsynchronised
      * 577609 : [id3v2mux] write RVA2 frames for peak/gain volume data
      * 577671 : [rtspsrc] deadlock on shutdown (locking order problem?)
      * 578052 : gstavidemux: support seeking and duration query in defaul...
      * 578135 : [qtdemux] missing 3gpp Asset metadata handling
      * 578310 : [matroskamux] - Should suppport speex
      * 579070 : [sunaudio] fix compiler warnings
      * 579422 : flacdec can block allocating before it sent a new-segment
      * 579808 : [jpegdec] Doesn't support additional 0xff before end marker
      * 580746 : [qtdemux] 3GPP classification entity byte order reversed
      * 580783 : [PLUGIN-MOVE] Move y4menc to -good
      * 580851 : rtspsrc: various; sanity of ranges, setting of base_time ...
      * 580880 : gstrtpjpegpay is not functioning properly; rtp jpeg paylo...
      * 581329 : rtspsrc: NAT dummy packets not being sent
      * 581568 : ability for replaygain plugin to post level messages
      * 581806 : [souphttpsrc] Should allow overriding the referer
      * 581884 : [PLUGIN-MOVE] Move deinterlace2 to gst-plugins-good
      * 582252 : rganalysis test broken by recent commit
      * 582281 : [rtp] Forgets to link to $(LIBM)
      * 582387 : [avidemux] Seeking regression
      * 582420 : flacdec unit test broken on PPC
      * 582661 : [deinterlace] Fix latency query to return unbound max lat...
      * 582715 : gcc warnings about unitialized
      * 582753 : flacdec check fails
      * 582794 : rganalysis unit test fails with git core
      * 568278 : [qtdemux] add support for vob subtitle streams
      * 569611 : GStreamer videobox element draws thin green lines on edge...
      * 571294 : [matroskamux] Should ignore framerate of 0/1
      * 574169 : avidemux/theoradec don't work well together
      * 575234 : Network interface selection for multicasting with the udp...
      * 576729 : [rtspsrc] perform EOS handling earlier
      * 578257 : Image problems using rtpjpeg(de)pay
      * 579069 : rtp h263pay build fixes
      * 580554 : PATCH: qtdemux: fix demuxing of m4v streams with ac-3 audio
      * 581432 : [multipartdemux] source pads are leaked
      * 581444 : [multipartdemux] free memory read of buffer timestamp
      * 582218 : Uninitialized variable may be used in gstavidemux.c
      * 575937 : udp/gstudpnetutils.c: ip_mreqn unavailable on Solaris (an...


Changes since 0.10.13:
    
      * Add autodetect source elements
      * Improvements in RTP payload/depayload and RTSP
      * Support float input in wav, and require depth == width
      * Support inverted RGB video in avi
      * Compilation fixes and smarter format selection in V4L2 support
      * Use libv4l when available
      * Don't install static plugin libraries any more
      * Matroska muxing: Add Dirac, fix AAC
      * Improve qtdemux segment handling
      * Add presets to equalizer
      * OS/X video and audio output improvements
      * Rework Pulseaudio audio output
      * Support basic and digest auth in souphttpsrc
      * Use libsoup-gnome instead of libsoup when available
      * DV demuxer fixes
      * New IIR and FIR base classes and echo filter in audiofx plugin
      * Improved spectrum analysis plugin
      * 8 bit greyscale support in v4l2src and videocrop
      * New aspectratiocrop element
      * Many other bug fixes and improvements

Bugs fixed since 0.10.13:
     
      * 561502 : Not-negociated error in udpsrc
      * 522183 : add preset suport to gstequalizer
      * 523813 : [autodetect] add autovideosrc and autoaudiosrc
      * 557709 : goom should have license headers in all source files
      * 560155 : segfault when trying to set tag to NULL with avimux
      * 527951 : [new element] aspectratiocrop
      * 529379 : RTSP seeks when pipeline is in STATE_PAUSED
      * 532409 : RTP payload/depayloader for G.729
      * 537539 : [pulse] Rhythmbox starts using 100% of CPU time when puls...
      * 537540 : [pulse] Causes a deadlock when the pulseserver dies
      * 537543 : [pulse] sink/src should have " volume " property (was GstMi...
      * 545033 : [v4l2src] Add support for camera specific formats
      * 552140 : [soup] use libsoup-gnome for proxy configuration if avail...
      * 556019 : Add the ability to make souphttpsrc act as a live source
      * 556484 : Implement getcaps in rtpL16pay
      * 556641 : rtpL16depay doesn't support multichannel audio
      * 556802 : Misspelled messages
      * 556955 : [videocrop] fails to renegotiate
      * 556986 : pulsesink deadlocks when raising an error
      * 557260 : [equalizer] Calculates coefficients for every buffer
      * 557293 : Argument type mismatch on Windows
      * 557294 : cross mingw32 gcc: getaddrinfo is not in ws2_32.dll befor...
      * 557710 : Memory leak related to matroskamux's request pads
      * 558427 : rtpmpapay/depay are too wide
      * 558638 : Compiler error on v4l2
      * 558711 : gst-plugins-good-0.10.11 compile fails
      * 559288 : [qtdemux] deadly embrace!
      * 559545 : rtspsrc could not receive data from RTSP server because o...
      * 559547 : Seek bugs when playing rtsp video in m.youtube.com
      * 560641 : rtp mp4 payloader doesn't flush the last frame upon EOS
      * 560756 : New Plugin: JPEG RTP Payloader
      * 561625 : Rtspsrc set segment's last_stop incorrectly
      * 561775 : souphttpsrc patch to support basic and digest authentication
      * 561802 : DLNA specific HTTP header missing
      * 561990 : qtdemux build fails on mingw due to missing definition of...
      * 562434 : [wavenc] Add support for a-law and mu-law encoded wav files
      * 562572 : multiudpsink handles errors in _render() too aggressively
      * 563414 : Fix for SunAudioMixer plugin
      * 563504 : add libv4l2 support to v4l2 gst plugin - required for mos...
      * 563509 : [rtp_data_test] Complains about negotiation errors with m...
      * 563510 : [videocrop] 1x1 unit test fails
      * 564437 : rtpjpegdepay was unable to handle frame dimensions greate...
      * 564948 : Fix and clean up osxaudio
      * 565850 : mov files can contain xvid, fmp4 and ac3 tracks
      * 566616 : v4l2src: b/w support
      * 566843 : [pulse] Terminating an audio stream hangs the application
      * 567577 : [audiofx] Add generic IIR/FIR audio filter elements
      * 567642 : spectrum element has undocumented arbitrary limitation on...
      * 567746 : fix for 547227 created a ref loop
      * 567794 : [PATCH] Rework pulse plugin
      * 567800 : Mp4 created by Avidemux don't play.
      * 567853 : osxaudiosrc does not build on 10.4
      * 567874 : [audiofx] Echo/Reverb filter
      * 567955 : [spectrum] Need compensation for rounding errors
      * 567992 : [videocrop] wrong mouse navigation commands while cropping
      * 568395 : [audiofx] Rename audioreverb to audioecho
      * 568780 : elements/videocrop check fails
      * 568809 : Patch needed for building gst-plugins-good 0.10.13 on Sol...
      * 569820 : In some cases v4l2src element does not return correct norm
      * 570343 : equalizer bands != specified parameters
      * 570435 : Read Title element of Matroska files
      * 571038 : [osxvideosink] build fail
      * 571150 : aspectratiocrop : Memory leak
      * 571153 : [pulsemixer] compiler warnings (on ARM)
      * 571204 : [pulsesink] PA assertion failure triggers abort
      * 570581 : osxvideosink: non-embedded mode is badly broken and shoul...
      * 341752 : [rtspsrc] 500 Internal Server Error response with tagessc...
      * 420658 : gconfaudiosink is not behaving normally
      * 558554 : [avidemux] avidemux not recognizing certain uncompressed ...
      * 561580 : GStreamer does not play a specific WAV file
      * 563056 :  " rtpjpegdepay ! jpegdec " doesnt works
      * 565441 : Smoke encoder doesn't set caps correctly
      * 567952 : videocrop: add b/w support

Changes since 0.10.12:

      * Fix bad autopoint substitution in the po subdir

Changes since 0.10.11:

      * Fix for security advisory TKADV2009-0xx

Changes since 0.10.10:

      * HDV capture support
      * Port flactag element to 0.10
      * Support FLAC in alternate bit-depths and more samplerates
      * Matroska muxing improvements
      * Support Google RTSP variant
      * Many other bug-fixes and improvements

Bugs fixed since 0.10.10:

      * 545433 : [wavparse] support tempo tag
      * 311586 : Matroska mux/demux don't support flac
      * 350830 : [raw1394] Add HDV support
      * 413841 : [flactag] needs porting to 0.10.x
      * 536067 : [matroska] Add support for real audio/video
      * 537361 : videomixer segment handler fail
      * 543101 : The udpsrc/udpsink/multiudpsink/dynudpsink elements may l...
      * 544956 : [videobox] segfault when changing properties at running p...
      * 545463 : autodetect plugin links to gconf, unnecessarily
      * 545710 : [rtspsrc] : create rtp/rtcp socket pair + same port for d...
      * 546465 : can't play m.youtube.com rtsp streams
      * 547075 : [speex] Encoder doesn't handle non-zero start timestamps ...
      * 547217 : Implement GstPropertyProbe interface on pulsesrc for dete...
      * 547227 : Implement GstPropertyProbe interface on pulsesink for det...
      * 547518 : pulsemixer probe fails after device property is set
      * 547519 : Add device-name property to pulsesrc
      * 548530 : wavenc allows audio depth of 25
      * 548831 : matroska demuxer setting incorrect timestamps
      * 549073 : buffer_alloc function from new basetransform sometimes fa...
      * 549090 : v4l2src has no property named norm but notifies it
      * 549551 : conversion of gst structure names to mime types in multip...
      * 549784 : Memory Corruption Probing v4l2src with Video4Linux1 device
      * 550015 : build failure: gstcmmlparser.c:115: error: format not a s...
      * 550791 : [flacenc] files are too big, mid-side-stereo=true should ...
      * 551048 : rtsp implementation sends PAUSE even when server doesn't ...
      * 551570 : plugin ximagesrc is memory leaking...
      * 551584 : Crash when modifying the videobox " top " and " left " live w...
      * 552213 : [qtdemux] map tiff fourcc to image/tiff caps
      * 553191 : udpsrc: bind() fails on OS X
      * 554771 : totem spins CPU 100% while allocating (infinitely) becaus...
      * 556010 : AVI muxer segfault
      * 556381 : [icydemux] test fails with latest core
      * 556424 : [avidemux] segmentation fault when creating indexes
      * 557085 : [videobox] support dynamically changing properties
      * 557610 : udpsrc fails to bind() on Mac OS X (IPv4 vs. IPv6 problem)
      * 547842 : Vorbis RTP RFC 5215 is out
      * 550288 : Sound not played - a quicktime file

Changes since 0.10.9:

      * Move the libcdio cddasrc element to -ugly, because of the GPL license

Bugs fixed since 0.10.9:

      * 413705 : [PLUGINS MOVE] gst-plugins-good contails GPL'ed libcdio p...

Changes since 0.10.8:

      * Replaygain elements moved from Bad
      * Interleave/Deinterleave elements moved from Bad
      * Pulseaudio plugin http://pulseaudio.org is now integrated
      * New simple Karaoke audio effect plugin
      * Improvements in v4l2src
      * Multi-channel FLAC file fixes
      * AVI and Quicktime reverse playback support
      * AVI and Matroska muxing improvements
      * New element for rendering SMPTE transitions into alpha channels
      * Many improvements in the Win32 directdraw elements
      * Error out cleanly for encrypted streams
      * RTP/UDP handling improvements
      * RTSP digest authentatication implemented.
      * New RTP Pay/Depay-loaders for Speex, G.729, DV & raw video/audio
      * Error concealment for Speex
      * Many other bug-fixes and enhancements

Bugs fixed since 0.10.8:

      * 541787 : incorrect timestamp
      * 413705 : [PLUGINS MOVE] gst-plugins-good contails GPL'ed libcdio p...
      * 345393 : Missing documentation
      * 400679 : [PLUGIN-MOVE] pulse-gst to -good
      * 422917 : G729 payloader/depayloader
      * 429322 : [matroska-demux] hangs if file starts at non-zero timestamp
      * 465146 : Add more complete negotiation to gstrtpbasepayload
      * 469917 : multiudpsink IPv6 and diffserv TOS/TC markup
      * 499318 : [osxvideosink] warnings on build (ppc, 64bit, 10.4)
      * 503288 : rtph264pay does not split multiple NAL units in incoming ...
      * 511489 : avimux muxed audio and video out of sync
      * 512345 : gstalpha: chroma-key should not set alpha to 0 if brightn...
      * 515962 : [udp] add ipv6 support to multiudpsink and udpsrc, add mu...
      * 516509 : gstid3v2mux.cc build failure on Solaris, CFLAGS not valid...
      * 519301 : avimux fails when going from NULL to playing a second time
      * 519460 : 8 bytes missing in AVI streamheader
      * 520092 : v4l2src proposed patches
      * 520885 : directdrawsink has some issues
      * 527865 : [PATCH] [matroskademux] uses wrong colourspace for palett...
      * 529454 : [udpsrc] generates false error on win32 due to ICMP dest-...
      * 529692 : [goom] fails to build on Windows with mingw32
      * 529707 : [rtp] fails to build on Windows with mingw32
      * 530886 : Support more mpeg2 variants in .mov files
      * 531532 : rtspsrc leaks filedescriptors when gst_rtspsrc_open fails
      * 531672 : [qtdemux] does not handle files with edit lists correctly...
      * 532295 : gconf setting default audio sink to video default visualizer
      * 532393 : [dvdec] Shouldn't be GST_RANK_PRIMARY
      * 532409 : RTP payload/depayloader for G.729
      * 532423 : RTP payload/depayloader for DV
      * 533264 : Make v4l2 compile without X
      * 533619 : udpsink dies when Linux fails (for no reason) sendto() wi...
      * 535121 : [videomixer] proper seek/segment handling
      * 535300 : [avidemux] missing support for reverse playback.
      * 535935 : [qtdemux] Missing metadata
      * 536228 : [PLUGIN-MOVE] Move interleave/deinterleave to gst-plugins...
      * 536317 : [v4l2src] Doesn't compile with latest git kernel
      * 536646 : v4l2src doesn't pick the optimal resolution
      * 536831 : v4l2src == non-experimental
      * 536903 : udpsrc now assumes one is using multicast
      * 537021 : [cdio] does not extract album title from CD-TEXT
      * 537031 : Enhancement to SunAudio mixer plugin
      * 537361 : videomixer segment handler fail
      * 537377 : Gstreamer avidemux fails on avi files with non-AV data st...
      * 537622 : [matroskademux] Doesn't export covers (file attachments)
      * 537675 : rtp vorbis/theora payloader static caps don't specify del...
      * 537832 : rtsp is broken
      * 539372 : udpsrc do not set port properly on anonymous binding
      * 539548 : [udpsrc] Fails to bind with permission denied when trying...
      * 540067 : souphttpsrc does not support http authentication
      * 540300 : [souphttpsrc] souphttpsrc does not seek ahead in http stream
      * 540940 : Quicktime demuxer does not handle dirac in QT files
      * 541081 : [v4l2src] Doesn't compile with on old kernel
      * 541384 : cross mingw32 gcc: making goom compile
      * 541412 : cross mingw32 gcc: making libgstrtp plugin compile
      * 541650 : udpsrc fails to parse URI with IPv6 address
      * 541956 : v4l2src only requests interlaced video 
      * 542410 : qtdemux not recognizing pcm 8bit streams correctly
      * 543054 : [osxvideosink] minor build issue
      * 543255 : -Wno-attributes does not exist in every gcc version
      * 543259 : warning in gstv4l2src.c due to an uninitialized variable
      * 543300 : [qtdemux] [PATCH] wrong depth in RLE video caps and wrong...
      * 544509 : [qtdemux] Regression in segment.stop
      * 539482 : [avidemux] Doesn't parse vprp ODML header
      * 544433 : Some -good plugins aren't buildable with MSVC
      * 536994 : Improve v4l2src negotiation a bit more
      * 329198 : GStreamer-CRITICAL: gst_pad_activate_pull: assertion `old...
      * 532065 : Implement RTSP Digest authentication
      * 533287 : Mapping of mime types to gst names in multipartdemux
      * 538891 : G.726 pay/depayloader is missing

Changes since 0.10.7:
    
      * The libsoup based http source moved from the -bad module and
        was raised to primary rank
      * GOOM visualisation plugin updated to Goom2k4
      * Fixes in UDP, RTSP, matroska, QT/mov, AVI, v4l2, OS/X, SunAudio,
        mulaw and wavpack
      * New gdkpixbuf output for snapshotting
      * Various other bug-fixes

Bugs fixed since 0.10.7:
     
      * 516509 : gstid3v2mux.cc build failure on Solaris, CFLAGS not valid...
      * 515978 : [ladspa] Should be removed from -good until it's ready to...
      * 516649 : [v4l2src] tries to VIDIOC_S_PARM without checking capabil...
      * 517237 : [rtspsrc] Better error when bandwidth is too small
      * 517933 : [tests] trivial C89 fix
      * 518188 : [spectrum] " message " property documentation unclear
      * 518213 : [goom2k4] artefacts on x86-64
      * 518564 : goom dies with illegal instruction
      * 519088 : gst_mulawdec_chain() may call gst_util_uint64_scale_int()...
      * 519417 : Unable to modify DEFAULT_VIDEOSRC in configure
      * 520073 : [goom] (goom2k4) shows mostly black frames
      * 520764 : double buffer unref in speexenc error handling
      * 520880 : audiofx doesn't build on Windows/MSVC
      * 520888 : udpsrc has some issues on Windows
      * 521102 : h.263+ rtp depayloader crashes on short payloads
      * 521875 : [osssrc] recording corrupts upon _get_caps
      * 522278 : Problem with " movq " at file gst-plugins-good/gst/goom/xmmx.c
      * 522767 : [goom] does not build on ppc
      * 523124 : [PLUGIN-MOVE] move souphttpsrc from -bad to -good
      * 523134 : osxvideosink does not stop when you control-C
      * 524593 : [sunaudio] fix mixer track range
      * 525359 : [alaw] [mulaw] Use gst_pad_alloc_buffer_and_set_caps to c...
      * 525833 : [halaudiosrc] unable to get mic USB working with gnome-so...
      * 525860 : [sunaudio] copyright fixes
      * 525946 : [gdkpixbuf] add gdkpixbufsink element
      * 526557 : [matroskademux] seeking regression in CVS
      * 527848 : [souphttpsrc] Give souphttpsrc PRIMARY rank
      * 527984 : Doesn't dist all m4 files needed by configure.ac
      * 527999 : [goom] Doesn't dist goomsl.h
      * 528143 : [goom] fails to build on 32-bit ppc
      * 528615 : Hide goom2k4 logo
      * 529268 : [goom] States unit test exposes some memory leaks

Changes since 0.10.6:
    
      * 8 months of frenetic development
      * Massive RTSP/RTP improvements
      * Fixes in pngdec, gdkpixbufdec, wavpackparse, wavpackdec, smokeenc,
        mulawdec, alwdec, id3demux
      * More Fixes in matroskademux, udpsrc, apedemux, flacenc, avimux,
        dv1394src
      * V4L2 support improved
      * Fixes for OS/X and Windows video/audio sources and sinks
      * Support more formats in QT files
      * Elements moved from gst-plugins-bad: equalizer, lpwsinc (now
        audiowsinclimit), bpwsinc (now audiowsincband), spectrum,
        multifilesrc/sink
      * New audio effects: High/Low/Band-pass filters
      * Many, many other fixes

Bugs fixed since 0.10.6:
     
      * 415627 : [PLUGIN-MOVE] move equalizer to good
      * 463624 : [PATCH] avimux: mismatch in ODML tag numbering
      * 347848 : [id3v2mux] add support for DiscID tags
      * 348085 : [PLUGIN-MOVE] move spectrum to good
      * 351726 : [rtspsrc] Force to send on periodic time new rtsp play co...
      * 358841 : [dv1394src] should have property probe
      * 417420 : [autoaudiosink] add " caps " property to filter sinks by caps
      * 427573 : [osxaudiosrc] segmentation fault
      * 435435 : [alaw] use tables for ALAW (G.711) encoding and decoding
      * 442034 : [avi] add support for subtitle streams (GAB2)
      * 447000 : [id3demux] add support for reading license URL from WCOP tag
      * 448278 : [v4l2src] several issues in cvs
      * 449747 : Function parameter mismatch breaks build on Solaris.
      * 450190 : [PATCH] v4l2src set_capture (parameters) fails
      * 450878 : Missing files in po/POTFILES.in
      * 451249 : Integer type mismatch in gstrtspsrc.c
      * 451388 : [v4l2src] Could not negotiate format
      * 453037 : rtpilbcpayloader encoding-name field mismatch
      * 453417 : [matroskademux] support palette info for VobSub stream
      * 453630 : Rtspsrc invokes GST_ELEMENT_ERROR in eos when streaming o...
      * 455086 : [cairotextoverlay] ignores the size in font-desc property
      * 455808 : rtspsrc deadlocks on pause
      * 457097 : [faad] " setting caps on pad failed " with BMJ113 mov
      * 461600 : Some files missing from POTFILES.in
      * 464475 : the mode property if the caps of rtpilbc*pay should be of...
      * 464800 : [audiofx] New elements: chebyshev low/highpass and bandpa...
      * 465040 : [RTP] h263ppay should allow h263 caps on sink
      * 465774 : qt video does not play, but can be seeked
      * 467214 : Could not get buffers from device '/dev/video0'
      * 467666 : [ELEMENT-MOVE] Move lpwsinc and bpwsinc to gst-plugins-good
      * 470502 : Ricoh Webcam not working
      * 471364 : [gconf] Internal GStreamer error: state change failed on ...
      * 471823 : [v4l2src] Fails to negotiate capabilities with Macbook Pr...
      * 473670 : [qtdemux] invalid utf8 in tags causes warnings
      * 474616 : [rtph263pay] RTP headers are wrong for win32
      * 475424 : [v4l2] uvcvideo Macbook iSight webcam not working (regres...
      * 477199 : Linux-UVC webcams not working
      * 477456 : [v4l2src] my webcam is not working anymore
      * 479960 : qtdemux is missing fourcc for mpeg2 HDV streams (HDV2. HDV3)
      * 480557 : [v4l2src] Nasty segfault (with broken driver?)
      * 482495 : avimux does not accept audio/aac
      * 484998 : [mulawdec] not-negotiated error playing a sun audio (au) ...
      * 485828 : [v4l2src] Fixates to lowest resolution on new kernels
      * 487488 : udpsrc errors
      * 487563 : Payloader for H264 not marking packets
      * 488112 : [id3demux] extract ID3v2 WOAF frame
      * 488844 : Free GstBuffer with gst_buffer_unref() in gst_rtp_mp4v_pa...
      * 488879 : [videomixer] implement GstChildProxy interface
      * 489940 : [gdkpixbufdec] gst_value_set_fraction: assertion 'denomin...
      * 490034 : [v4l2src] " could not get buffers from device " 
      * 490283 : [multifilsrc] move to -good
      * 491323 : Extend RTP MPEG-TS payloader to handle large RTP payload ...
      * 492388 : Build issues on Windows/MSVC
      * 496752 : [rtspsrc] leaks memory
      * 496773 : [rtspsrc] leaks SDP messages
      * 496983 : [PATCH] rtspsrc leaks pads
      * 497007 : [PATCH] rtspsrc leaks RTSP messages in SETUP
      * 497017 : [PATCH] H.264 RTP depayloader leaks memory in setcaps
      * 497292 : gsttextoverlay compile problem in MSVC
      * 497293 : gsttimeoverlay compile error in win32
      * 498181 : Recent change to gst-plugins-base breaks gst-plugins-good
      * 498297 : [v4l2src] put real supported resolutions in caps instead ...
      * 498395 : [pngenc] leaks buffer data memory
      * 498715 : GStreamer fails to decode MPEG1 Video RTP streams when gs...
      * 499178 : unexpected not negotiated and other weird beharviours
      * 499239 : gstrtpmp4adepay
      * 499383 : [rtph263depay] Doesn't read I-frame information from rtp ...
      * 500403 : [PATCH] videobox element doesn't init liboil
      * 501775 : [wavparse] regression in CVS: seeking is broken
      * 502655 : [avimux] creates corrupt avi files (wrong stream numbering)
      * 502814 : Adds profile (hex string), sps and pps (base64 encoded) i...
      * 502966 : GStreamer segfaults when videobox is introduced into a sp...
      * 503023 : Let multipartdemux work in live mode.
      * 504018 : flacdec emits newsegment before being able to respond to ...
      * 504081 : [matroskamux] support for live sources (calculate duratio...
      * 504895 : Build fails:  gst/check/gstcheck.h: No such file or direc...
      * 505745 : [avidemux] warning: 'res' may be used uninitialized in th...
      * 506025 : RTSPsrc doesn't handle redirects.
      * 506715 : [PATCH] [flacdec] PICTURE blocks should be retrieved as m...
      * 507642 : v4l2src Crash - Size 4156 is not a multiple of unit size ...
      * 508644 : The clockrate for theora payloading should always be 90000
      * 509298 : Compilation errors in gstavisubtitle.c and gstrtspsrc.c w...
      * 509301 : [flacdec] CVS does not compile against flac-1.1.2
      * 509531 : Make the auto-join/auto-leaving of a multicast group opti...
      * 510505 : changes to make v4l plugin build on solaris
      * 510592 : Race condition in WAVE parser
      * 513628 : [flacdec] Decoding of PICTURE blocks is always disabled b...
      * 514397 : matroskademux does not mark delta units
      * 514573 : multipartmux memory leak
      * 514889 : Bogus output from RTP data test
      * 514965 : Possible buffer leaks if last_write_result != GST_FLOW_OK...
      * 515457 : [audiofx] Element long descriptions are broken
      * 515562 : [avidemux] Seeking broken in 0.10.6.2
      * 515697 : [multifile] Several memory leaks exposed by unit test
      * 515701 : [smoke] Several valgrind warnings exposed by unit test
      * 515703 : [avisubtitle] Several valgrind warnings with unit test (g...
      * 515704 : [gconf] Memory leak when creation of pipeline fails
      * 515706 : [ximagesrc] Memory leak when XDamage support is available
      * 515905 : gst-error.m4 needs no%E_MACRO_REDEFINED on Solaris
      * 515979 : [efence] Doesn't chain up finalize properly
      * 515980 : [directdraw] Does not chain up finalize functions properly
      * 515984 : [v4l] Does not chain up finalize functions properly
      * 515985 : [ximagesrc] regression when using damage
      * 516371 : does not build without xml usage
      * 516524 : uninitialized variables
      * 517386 : [alpha] Doesn't link with libgstbase
      * 508291 : [id3demux] must check if language code in id3v2 COMM fram...
      * 491811 : Rename audiochebyshevfreq* to audiocheb*
      * 447961 : [rtsp] do not store a reference to the result from inet_n...
      * 475784 : rtspsrc has race condition between loop_interleaved() and...
      * 478244 : rtpamrdepay make no playable stream
      * 480707 : Memory leak : gstrtpmp4vpay :  config buffer is leaked
      * 502187 : flacdec doesn't send newsegment from the streaming thread
      * 509329 : [rtspsrc] use atoll when parsing rtptime
      * 512544 : preallocate output buffer in pngenc

Changes since 0.10.5:

      * Much improved RTSP/RTP and V4l2 support
      * New plugins - audiopanorama, audioinvert, audiodynamic, audioamplify
      * OSX and Windows video/audio support elements moved from Bad Plugins
      * qtdemux, videocrop and wavpack elements moved from Bad Plugins
      * Fixes in avi and matroska muxing
      * Fixes in wavparse, sunaudio, AVI demuxing, ID3 tag handling
      * gamma element ported to 0.10
      * Parallel installability with 0.8.x series
      * Threadsafe design and API

Bugs fixed since 0.10.5:

      * 392189 : [esdsink] pipeline hung in state change from PAUSED to PL...
      * 407590 : crash using gconfaudiosink
      * 439255 : [rtspsrc] crash on unsupported transport
      * 441118 : Incorrect caps in G.711 RTP depayloaders
      * 323471 : [PLUGIN-MOVE] osxaudio
      * 407780 : avimux does not handle video/x-h264
      * 316203 : MinGW: udp and rtsp plugin should be disabled on windows
      * 340362 : [PATCH] new plugin - hardlimiter
      * 342463 : [ximagesrc] performance improvement
      * 347806 : [v4l2src] try_capture(): Error getting buffer information...
      * 350296 : [udpsrc] add property to remove extra headers from buffers
      * 354007 : [PLUGIN-MOVE] videocrop should be moved to -good
      * 356692 : wavparse drops final sample in most files
      * 358040 : Fix speex rtp (de)payloader
      * 362566 : [dv1394src] Random segfault and kernel oopses
      * 374489 : rtspdec never sends out RTCP Receiver reports
      * 377306 : [sunaudiomixer] mixer track labels not localized
      * 379298 : [avimux] allow multiple audio streams
      * 392620 : gnome-sound-record can not be started on sunray client on...
      * 393427 : error/warnings when compiling with mingw
      * 395688 : playbin is unable to play rtsp stream for 3gp from Darwin...
      * 396057 : [audiofx] New audioinvert element
      * 397162 : [audiofx] New element audioamplify
      * 397946 : [audiopanorama] another trivial docs fix
      * 398299 : [smpte] crashes if fed empty buffers from fakesrc
      * 398325 : [smpte] Segfaults with big width/height
      * 399338 : Hang in PREROLLING when trying to play a specially crafte...
      * 399825 : Tags don't work properly for shout2send plugin
      * 406042 : [v4l2src] fails with radio chips
      * 407369 : [v4l2src] Wrong way of EIO error handling
      * 407793 : memory leaks of sdpmessage.c
      * 407797 : bug of rtsp_url_parse() in gst/rtsp/rtspurl.c
      * 408544 : totem crashed with SIGSEGV to rtsp_ext_wms_configure_stre...
      * 410997 : Fails to build with -z defs
      * 412597 : Simplify GstSunAudioSrc
      * 412608 : [avidemux] flow return aggregation can ignore errors
      * 414168 : Mixes spaces and tabs in Makefile.am defs
      * 416445 : [avidemux] seeking regressions
      * 416727 : [v4l2src] typo in printf format string
      * 416728 : [v4l2src] typo in translated strings
      * 417729 : [autoaudiosink] plugs alsaspdifsink, breaking playbin
      * 419338 : [wavparse] critical warning from plugin viewer
      * 420208 : Probably typo
      * 426044 : [flacenc] broken files when used with oggmux
      * 427990 : [rtph264depay] sprop-parameter-set erros
      * 428611 : [ximagesrc] segfaults when used from a non-X terminal
      * 428901 : [icydemux]  broken tags for non-UTF-8/ISO-8859-1-using ra...
      * 429319 : [alphacolor] distorts png images without alpha channel
      * 429666 : [goom] totem skips mp3 (while Rhythmbox doesn't)
      * 430228 : [sunaudio] copyright bug
      * 430632 : memory problem
      * 430804 : [PATCH] navseek only seeks (sort-of) partially
      * 431282 : broken RTP depayloaders
      * 433119 : wavparse causes skipping for MPEG-encoded RIFF Wav files ...
      * 433135 : [wavparse] regression in CVS with mp3-in-wav
      * 433530 : udpsrc read of size 0
      * 434824 : rtp mp4 payloader doesn't handle newsegments and flush ev...
      * 436910 : [videomixer] wrong strides with odd input width
      * 437499 : [wavparse] can't handle WAV file with 'LIST'  header chunk
      * 437670 : Improvements for rtsptransport.[ch]
      * 437692 : Some more fixes for the RTSP support
      * 438926 : invalid comparison of pointer with string literal
      * 438940 : [rtph263ppay] Support for Segment Fragmentation based on ...
      * 440127 : Autoaudiosink does extra switching between null and ready...
      * 440203 : Support multiple RTSP headers of the same type
      * 440928 : Improved RTSP version support, and added Date header
      * 441408 : speexdec plays incorrectly files made with nframes=4
      * 442535 : [wavenc] Doesn't handle width!=depth files with audio/x-r...
      * 442677 : WideBand AMR payloaders
      * 443081 : [wavparse] fails to post error on FLOW_NOT_LINKED
      * 445905 : ximagesrc disregards display_name property
      * 446981 : error during the compilation of rtspconnection.c
      * 447210 : wrong length calculation for codec_data
      * 447458 : [qtdemux] export AMRSpecificBox as codec_data
      * 385887 : [flac] make work with libflac-1.1.3
      * 404646 : [audiofx] Compressor/Expander element
      * 424527 : [auparse] don't convert non-native endianness floats in t...
      * 387121 : [matroskamux] Can't mux raw audio
      * 392855 : [matroska] plugin must link against zlib (error with MinGW)
      * 394851 : [audiopanorama] Some trivial docs fixes
      * 394859 : [audiopanorama] New simple method for adjusting the panorama
      * 398086 : [smpte] crashes if input dimensions differ
      * 406018 : 64bit uncleanness in gstavimux.c
      * 407057 : [wavparse] leaks contents of every buffer pushed when in ...
      * 407349 : [id3demux] wrongly interprets TDAT as year
      * 350278 : [rtpmp2tdepay] Add support for proprietary headers
      * 380895 : A couple of corrections and improvements for the RTSP sup...
      * 380944 : [dvdec] Doesn't set pixel-aspect-ratio
      * 394977 : multipartmux not honoring flow return
      * 403956 : Add float32 support for " level " element
      * 405213 : mp3 plays too fast in totem or rhythmbox
      * 407006 : [goom] odd adapter behaviour
      * 412704 : [PATCH] gamma filter ported to 0.10
      * 414887 : [gconf] gconfaudiosink doesn't set GST_ELEMENT_IS_SINK un...
      * 415446 : [avidemux] fails parsing mjpeg file from digital camera
      * 417792 : rtp depayloader for AAC
      * 423304 : file descriptor closed in udpsrc and dynudpsink
      * 423782 : Code for H264 payloader
      * 428182 : Current CVS generates compiler warnings
      * 429329 : [videobox] add support for AYUV input
      * 442874 : Multipartmux assumes caps == mime

Changes since 0.10.4:

      * Parallel installability with 0.8.x series
      * Threadsafe design and API
      * RTP/RTSP improvements
      * Fixes in OSS support
      * Addition of the audiopanorama element
      * Improvements in AVI playback
      * Annodex playback fixes
      * Support FLAC in OGG and Matroska
      * Fixes in the Speex decoder
      * V4L2 source moved from Bad Plugins
      * SMPTE element ported to 0.10
      * GStreamer Data Protocol (GDP) Payloader and Depayloader elements added
      * Many other bug-fixes

Bugs fixed since 0.10.4:

      * 336465 : [patch] Streaming support for avidemuxer
      * 349207 : [PLUGIN-ADD] audiopanorama
      * 341278 : [autoaudiosink] should fallback to fakesink
      * 342950 : Implement device profiles in autoaudiosink/autoaudiosrc
      * 348233 : dv1394src crashes with libavc1394 0.5.3 - cause known
      * 349015 : [sunaudio] open source with O_NONBLOCK
      * 349894 : RTSP Multicast
      * 351347 : --disable-schemas-install now works too well
      * 351794 : [id3demux] try harder to extract wrongly marked strings
      * 352577 : [avidemux] regression in CVS with Elephant's Dream
      * 355210 : Sample pipeline from the documentation doesn't work properly
      * 356142 : GST Sun Audio Mixer doesn't set only Output Track as Mast...
      * 356147 : [avimux] duration in header not correct for big avi ( > 2 ...
      * 357592 : Avoid compiler warnings with uClibc and -Werror
      * 361637 : h263 variant missing from RTP (de)payloaders' caps
      * 361639 : MPA payloader's payload number is incorrect
      * 362603 : Fixes compiling with forte: warning clean up (part 4)
      * 362673 : Playback with 4Front OSS driver not working due to blocki...
      * 366492 : add windows vs8 project files
      * 369621 : [avidemux] Out-of-sync playback with VBR MP3 audio
      * 372021 : flxdec has wrong classification
      * 374213 : Seeking with LADSPA plug-ins fails
      * 374479 : [PATCH] videomixer memleak fix and enhancement
      * 374737 : [matroskademux] doesn't recognise opaque " A_AAC " codec ID
      * 376594 : id3demux crashes when reading compressed ID3 frames
      * 379433 : [PATCH] avidemux audio pad reports wrong position upon query
      * 379792 : Remove memcpy in multipartmux and fix RFC compliance
      * 379918 : Doesn't compile with newer libcaca versions (0.99.beta4+)
      * 380199 : [matroskademux] Wrong framerate conversion
      * 380825 : make avimux accept video/mpeg in versions 1, 2 and 4
      * 381857 : [id3v2mux] crashes trying to write empty frames
      * 382179 : Videomixer shouldn't reset position to 0 when the caps ar...
      * 382277 : multipartmux modifies buffer timestamp
      * 382982 : [apedemux] Fails to read track gain or other doubles
      * 383001 : [PATCH] if using multicast in udpsrc, bind to the multica...
      * 383043 : Videomixer can crash when adding/removing pads  while pla...
      * 383596 : mixer doesnot work if set AUDIODEV on solaris
      * 384587 : libcaca check breaks cross-compile
      * 385031 : [id3demux] autoplug loop if first buffer has nonzero offs...
      * 385623 : [quarktv] crash when plugged dynamically into a pipeline
      * 343348 : [matroska] add support for vobsub subtitles
      * 345449 : [icydemux] Internet radio hangs when connecting to radio....
      * 348762 : [ID3v2] comment frame extraction/writing doesn't retain d...
      * 351116 : 'make check' tries to run annodex unit tests even if anno...
      * 352110 : [flacdec] no support for ogg flac
      * 366155 : [matroskademux] Several problems in encoding handling code
      * 374658 : [matroskamux] add tag writing support and implement relea...
      * 378184 : g-s-p crash due to incorrect free from do_toggle_element
      * 360673 : [PATCH] Stuttering with SunAudio Sink
      * 349068 : multipart demuxer improvements
      * 350006 : [LADSPA] after changing state from PLAYING to READY/NULL,...
      * 350340 : CMML test cases and small fixes
      * 350785 : [ossmixer] provides no way to set mixer device
      * 353908 : Error seeking at the beginning of a CMML file
      * 356596 : [wavparse] Does not support GSM encoded audio
      * 358156 : in udpsrc.c gst_udpsrc_create function read command could...
      * 361252 : Memory leak in udpsrc
      * 364958 : [avidemux] broken timestamping in streaming mode
      * 367221 : [PATCH] videomixer does not mix for some framerate combin...
      * 368162 : iLBc rtp payloaders and depayloaders not compiled
      * 377792 : rtspsrc tries to stream application/x-wms-rtx
      * 383323 : smpte doesn't handle sink1 and sink2 correctly
      * 383726 : [audiopanorama] only transforms half of the samples in fl...
      * 349901 : [LADSPA] gst_element_class_add_pad_template: assertion `g...
      * 375476 : v4l2src cannot close /dev/video0

Changes since 0.10.3:

      * added apev2mux element
      * use libiec61883 for Firewire

Bugs fixed since 0.10.3:
    
      * 345930 : [id3demux] segfaults with file containing only ID3v1 tag
      * 347529 : wavparse error
      * 321191 : rtpamrdec isn't a subclass of GstBaseRtpDepayload
      * 340027 : [patch] wavparse fails for several files
      * 318563 : offer support for new raw1394_iso api in dv1394src
      * 330623 : [avidemux] only the beginning of big avi files gets played
      * 334375 : [id3demux] [id3v2mux] ID3 tag rewriting is lossy
      * 337076 : Problem with broken matroska files containing non-UTF8 su...
      * 339704 : [id3demux] read images from ID3 tags
      * 340282 : Goom visualization is unusable at 'Normal' size and higher
      * 340623 : [matroskademux] small memory leak
      * 340699 : [flacdec] should not send EOS when doing segment seeking
      * 340859 : [avimux] produces index with all frames marked as keyframes
      * 340946 : raw1394 plugin uses deprecated functions
      * 340979 : [id3demux] mp3 id3v2 TCON tag possible bug?
      * 341489 : gst-plugins-good wavparse Cygwin fix
      * 341774 : Fails to read tags in file
      * 341818 : [matroskademux] poor concurrent performance
      * 342029 : [id3demux] overflow of titlenumbers
      * 342097 : [jpegdec] crash with attached JPEG file
      * 342448 : [matroska] support for muxing/demuxing Theora video
      * 342526 : [avimux] dml index support, codec_data support, cleanups
      * 342592 : dvdemux doesn't post segment-done right
      * 342734 : [matroskamux] might block on state-change
      * 343051 : [autoaudiosink] doesn't try esdsink
      * 343055 : README mentions 0.9.6
      * 343117 : jpegdec, mjpeg avi's and flush seeks
      * 343122 : [taglib] new apev2mux element
      * 343123 : [apedemux] add support for GST_TAG_LOCATION
      * 343127 : [apedemux] extract track count, clean up parsing
      * 343602 : configure --disable-external fails
      * 343603 : need to add -lm to build tests/examples/level
      * 343678 : configure.ac incorrectly uses $(SED) rather than $SED
      * 343837 : [wavparse] can't handle WAV file with 'bext' header chunk
      * 344100 : --disable-schemas-install not honored
      * 344101 : SunAudio mixer fixes
      * 344120 : dv1394src should now require libraw1394 > = 1.1.0
      * 344605 : [id3demux] set picture type on image buffers
      * 345232 : [wavparse] reads beyond end-of-file (in pull mode)
      * 345288 : [udp] make work on Windows
      * 345713 : ximagesrc uses XFixesCursorImage incorrectly and will seg...
      * 346066 : [sunaudiosink] don't override user setting and switch on ...
      * 346259 : [sunaudio] move monitor to input tab in mixer
      * 347234 : streaming UDP (MPEGTS) shows only one frame of video
      * 347258 : [wavparse] internal stream error reading gnome-game gnibb...
      * 347898 : [id3v2mux] write GST_TAG_ENCODER and GST_TAG_ENCODER_VERSION
      * 347972 : [cdiocddasrc] core dumps if device is not found
      * 348644 : [id3demux] Gets the wrong part of binary blob for ID3 v2....
      * 348752 : [udpsrc] add property to set buffer size for udp socket
      * 348913 : [id3v2mux] tagging utf-8 text may be converted to iso-8869-1
      * 349155 : [smokeenc] does not set caps on it's buffers
      * 349189 : LADSPA gstsignalprocessor.c: line 408: assertion failed: ...
      * 349907 : multiudpsink messes up multicast addresses
      * 350433 : [rtph263pdepay] h.263plus depayloader does not work
      * 340492 : [flacdec] support push-based operation (and thus flac-ove...
      * 345679 : fix to avoid goom core dumping
      * 317470 : [GstCheck] gst_check_teardown_element asserts wrong refcount
      * 340980 : [pixbuf,wavparse] fix build with gcc 2.95
      * 343661 : Jpeg image crashes gstreamer
      * 344923 : New SunAudio source plugin, and mixer now supports stereo...
      * 345301 : [PATCH] gst-plugins-good rtsp for Windows
      * 346921 : gstmultiudpsink multicast support is broken
      * 344136 : More accurate list of plugins which will/will not be buil...

Changes since 0.10.2:

      * Annodex/CMML support
      * RTSP and RTP enhancements
      * HAL configured audio device support
      * FLAC, Matroska, AVI, WAV, ID3, APE, DV and JPEG plugin improvements
      * Recognise SSA/ASS and USF subtitles in Matroska files
      * Fixes for ESD and SunAudio output plugins
      * More uniform plugin descriptions
      * IceCast metadata reading plugin added
      * New plugins ported from 0.8: OSX audio, AVI muxer, X-Windows input, 
         WAV encoder, Gdk-Pixbuf image decoder, Smoke decoder, 
         Video colour balance
      * Lots of bug fixes

Bugs fixed since 0.10.2:

      * 335067 : RTSP src not working with WMServer servers
      * 333657 : Replacing icy demuxing in gnomevfssrc
      * 329106 : HAL sound device wrapper plugins
      * 337749 : totem (gstreamer) crashes when playing an avi file
      * 330885 : avidemux does not handle eos at end of seek-region
      * 337364 : faulty GObject macros
      * 337625 : [patch] Streaming support for wavparse
      * 150363 : [pngdec] doesn't handle grayscale or paletted
      * 154744 : Time slider does not work with avi videos from Cannon SD100
      * 161712 : [auparse] .au files don't play in playbin
      * 313266 : [wavparse] will not play DTS stream in malformed WAV
      * 319183 : rtspsrc filter sometimes uses an odd port for rtp
      * 319986 : annodex decoding and encoding support
      * 323721 : [id3demux] read in replaygain information from RVA2 frame...
      * 323880 :  " Seek in ready " for dvdemux
      * 325191 : problem with auparse or mulawdec, choppy esd playback
      * 326160 : videobalance not ported to new GstVideoFilter
      * 327658 :  " Seek in ready " support for wavparse plugin
      * 328327 : gst-plugins-good fail to compile with gcc 4.1
      * 329107 : Profile support for gconfaudiosink
      * 330239 : Crash playing any song from a particular album over rhyth...
      * 330678 : Unable to play .fli files
      * 331253 : Critical warnings when using cddacdiosrc
      * 331368 : Gstreamer doesn't recognise tags
      * 331385 : [alpha] state change function returns a constant
      * 331672 : Another file that gstreamer can't read the tags on
      * 331905 : [jpeg] smokedec not ported
      * 331917 : [pngdec] does not support files with png streams
      * 332031 : [PATCH] avimux ported to 0.10
      * 332547 : [wavparse] does not support multichannel wavs
      * 333070 : [id3demux] reads unicode tags incorrectly where .8 did it...
      * 333302 : [apedemux] some WavPack files with APE tags fail to play ...
      * 333392 : [sunaudio] unused variables break CVS build with -Werror
      * 333512 : [PATCH] Fix gst_pad_new_from_template (gst_static_pad_tem...
      * 333624 : invalid get_times implementation in gstdynudpsink
      * 333784 : [patch] unref the result of gst_pad_get_parent
      * 334083 : [jpegdec] wrong durations set on buffers after seeking in...
      * 334522 : avi of mpeg4 video and adpcm audio from digital camera re...
      * 334732 : [id3demux] mp3 fails to play because typefinding thinks i...
      * 334995 : [goom] zoom filter leaked
      * 335231 : [wavparse] incorrect way to calculate seek position with ...
      * 335755 : rhythmbox import crasher - png?
      * 335858 : Video playback out of sync
      * 335958 : [speexenc] doesn't work
      * 336110 : move taglib-based ID3 muxer to -good
      * 336602 : plugins need better/univied descriptions
      * 336756 : move ximagesrc to gst-plugins-good
      * 336889 : [avidemux] index creation might fail with some non-indexe...
      * 336904 : Problem playing some AVI file when splitting large chunks...
      * 337033 : [speex] can't seek in speex-encoded audio
      * 337183 : [matroska] " caps not real subset " when playing audio files
      * 337294 : AVI files downloaded from vidoe.google.com won't play
      * 337421 : [sunaudiosink] some fixes
      * 337609 : [flacdec] can't play .flac files where header says total_...
      * 338290 : [flacdec] segment seek not supported
      * 338713 : [id3demux] TCO genre tags (id3v2.2) don't get read by gst...
      * 338715 : [shout2send] fix crash on error and tags received before ...
      * 338716 : [wavenc] " not negotiated " error with CVS core
      * 338810 : [matroskademux] blocks on segmenting seek (and other seek...
      * 339446 : [matroska] can't play file if details come before type in...
      * 339451 : [matroska] enhancement for VfW compatibility cases
      * 339678 : [matroskamux] wrong timestamps of B-frames
      * 340346 : [matroskamux] blocks upon muxing video and vorbis-audio
      * 319884 : rtpamrdec discards non-transmitted frames

Changes since 0.10.1:
      * New libcdio based CDDA reading element
      * APE tag reader ported
      * ID3 tag reading fixes
      * Sun Audio Sink fixes
      * GOOM and gconf element fixes
      * lots of bug and leak fixes

Bugs fixed since 0.10.1:
      * 328336 : silence warings which make dvdec / dvdemux unusable
      * 315557 : Internal event problem with MP3s from vgmix.com
      * 323327 : [cdio] port cddasrc to 0.10
      * 325148 : Bugs in G711 RTP packetization logic
      * 325649 : apetag plugin needs porting to 0.10
      * 326446 : check that all elements in -good pass queries they can't ...
      * 326602 : id3demux is not compiling without ZLIB
      * 326683 : build problem caused by AS_LIBTOOL_TAGS([CXX])
      * 326736 : gconf(audio|video)sink response to key changes
      * 326864 : [wavparse] time to bytes format conversion broken
      * 327009 : [esdsink] won't compile with includes in non-standard prefix
      * 327765 : [sunaudio] fixes for mixer and stuttering mp3 playback
      * 327825 : [matroskamux]  Matroska muxer deadlock
      * 327871 : [videobox] crash when cropping
      * 328241 : id3demux emits NULL date for year tags
      * 328264 : Fix build with gcc 2.95
      * 328531 : [matroskamux] doesn't send newsegment event, critical war...
      * 329181 : totem crash when using goom effect
      * 329810 : Fails to read ID3 tag
      * 330005 : Please use the autodetect sinks by default
      * 317658 : [cdio] support for cd-text and cd-g

Changes since 0.10.0:
    
      * new id3 demuxer (replaces the mad one in gst-plugins-ugly)
      * memleak fixes in avidemux, wavparse, level, smoke
      * ports of multipart, 
      * fixes in flacdec, flxdec, rtp
      * documentation updates on videomixer 
      * added new sunaudiosink, gconfaudiosrc and gconfvideosrc elements

Bugs fixed since 0.10.0:
    
      * 321269 : add sunaudio to 0.9
      * 322769 : The ID3 tag of this file is a segfaulter
      * 323021 : sockfd property to udpsrc/dynudpsink elements
      * 322975 : erroneous audio specs in flac plugin
      * 323226 : block/crash on id3 v2 tags when using big blocksize
      * 323717 :  < netinet/in.h > inclusion necessary on some systems
      * 323718 : [oss] does not build on OpenBSD 3.8 because of hardcoded ...
      * 323896 : pngdec/videomixer negotation problem in 0.10
      * 324011 : Invalid payload type definition for some rtp payloaders
      * 324012 : Invalid caps on rtpspeexpay element
      * 325504 : [flacdec] gst_flac_dec_convert_src [mis]uses g_assert
      * 325974 : [gst0.10] doesn't correctly gets the tags on a mp3
      * 326612 : Serious memory leak in level plugin
      * 326618 : memleak fix in smokeenc

API added since 0.10.0:
     
      * device-name property on ossmixer subclasses
      * GstUDPSrc::sockfd property

Changes since 0.9.6:
    
      * Parallel installability with 0.8.x series
      * Threadsafe design and API
      * effectv elements ported
      * videoflip updated
      * multipart ported
      * dv seeking fixed
      * rtp elements renamed

Bugs fixed since 0.9.6:
    
      * 322377 : udpsrc leaks sockets
      * 322643 : Incorrect matroska frame default duration
      * 322645 : Matroska muxer: wrong pixel aspect ratio
      * 322667 : [jpegenc] leaks input buffer
      * 322794 : udp plugin linked against gstnet instead of gstnetbuffer
  
Changes since 0.9.5:
    
      * added speex RTP payloader/depayloader
      * ported cutter
      * fractional framerates
      * more video filters now use BaseTransform

Bugs fixed since 0.9.5:
    
      * 319184 : rtspsrc: invalid read in sdp_message_parse_buffer ()
      * 321001 : [matroskademux] should seek to nearest preceding index en...
      * 321430 : goom fails to register on amd64

Changes since 0.9.4:
    
      * matroskamux fixes
      * wavenc fixes
      * cairotextoverlay ported

Bugs fixed since 0.9.4:
    
      * 315194 : Licence information inconsistency of gst-plugins-good/gst...
      * 319731 : [matroska] SimpleBlock support for muxer and demuxer
      * 320308 : [matroska] set timestamps for buffers with ebml elements
      * 320920 : [osssink] tries to reuse a bad file descriptor
      * 321136 : [matroska-mux] avoid reading from unref'ed buffer

Changes since 0.9.3:

      * DV/Firewire fixes
      * speexenc, cairotimeoverlay, matroska, pngdec, flxdec, videomixer,
        alphacolor ported

Bugs fixed since 0.9.3:

      * 316204 : MinGW compilation: smtpe plugin has undefined symbols fro...
      * 316205 : Debug category for wavenc is not defined
      * 318847 : Matroska muxer port to 0.9

Changes since 0.9.1:

      * Parallel installability with 0.8.x series
      * Threadsafe design and API

Bugs fixed since 0.9.1:

      * 316202 : MinGW compilation: undefined autoconf macro GST_DOC
      * 317338 : [osssink] can't handle mono
